org.wildfly.swarm.config

## Class Elytron<T extends Elytron<T>>

- java.lang.Object
- - org.wildfly.swarm.config.Elytron<T>

- Direct Known Subclasses:
    ElytronFraction

      public class Elytron<T extends Elytron<T>>
      extends Object

  The Elytron Subsystem

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Elytron.ElytronResources` Child mutators for Elytron

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Elytron()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `addPrefixRoleMapper(AddPrefixRoleMapper value)` Add the AddPrefixRoleMapper object to the list of subresources
    `T` | `addPrefixRoleMapper(AddPrefixRoleMapperSupplier supplier)` Install a supplied AddPrefixRoleMapper object to the list of subresources
    `T` | `addPrefixRoleMapper(String childKey)` Create and configure a AddPrefixRoleMapper object to the list of subresources
    `T` | `addPrefixRoleMapper(String childKey, AddPrefixRoleMapperConsumer consumer)` Create and configure a AddPrefixRoleMapper object to the list of subresources
    `T` | `addPrefixRoleMappers(List<AddPrefixRoleMapper> value)` Add all AddPrefixRoleMapper objects to this subresource
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `addSuffixRoleMapper(AddSuffixRoleMapper value)` Add the AddSuffixRoleMapper object to the list of subresources
    `T` | `addSuffixRoleMapper(AddSuffixRoleMapperSupplier supplier)` Install a supplied AddSuffixRoleMapper object to the list of subresources
    `T` | `addSuffixRoleMapper(String childKey)` Create and configure a AddSuffixRoleMapper object to the list of subresources
    `T` | `addSuffixRoleMapper(String childKey, AddSuffixRoleMapperConsumer consumer)` Create and configure a AddSuffixRoleMapper object to the list of subresources
    `T` | `addSuffixRoleMappers(List<AddSuffixRoleMapper> value)` Add all AddSuffixRoleMapper objects to this subresource
    `T` | `aggregateHttpServerMechanismFactories(List<AggregateHTTPServerMechanismFactory> value)` Add all AggregateHTTPServerMechanismFactory objects to this subresource
    `T` | `aggregateHttpServerMechanismFactory(AggregateHTTPServerMechanismFactory value)` Add the AggregateHTTPServerMechanismFactory object to the list of subresources
    `T` | `aggregateHttpServerMechanismFactory(AggregateHTTPServerMechanismFactorySupplier supplier)` Install a supplied AggregateHTTPServerMechanismFactory object to the list of subresources
    `T` | `aggregateHttpServerMechanismFactory(String childKey)` Create and configure a AggregateHTTPServerMechanismFactory object to the list of subresources
    `T` | `aggregateHttpServerMechanismFactory(String childKey, AggregateHTTPServerMechanismFactoryConsumer consumer)` Create and configure a AggregateHTTPServerMechanismFactory object to the list of subresources
    `T` | `aggregatePrincipalDecoder(AggregatePrincipalDecoder value)` Add the AggregatePrincipalDecoder object to the list of subresources
    `T` | `aggregatePrincipalDecoder(AggregatePrincipalDecoderSupplier supplier)` Install a supplied AggregatePrincipalDecoder object to the list of subresources
    `T` | `aggregatePrincipalDecoder(String childKey)` Create and configure a AggregatePrincipalDecoder object to the list of subresources
    `T` | `aggregatePrincipalDecoder(String childKey, AggregatePrincipalDecoderConsumer consumer)` Create and configure a AggregatePrincipalDecoder object to the list of subresources
    `T` | `aggregatePrincipalDecoders(List<AggregatePrincipalDecoder> value)` Add all AggregatePrincipalDecoder objects to this subresource
    `T` | `aggregatePrincipalTransformer(AggregatePrincipalTransformer value)` Add the AggregatePrincipalTransformer object to the list of subresources
    `T` | `aggregatePrincipalTransformer(AggregatePrincipalTransformerSupplier supplier)` Install a supplied AggregatePrincipalTransformer object to the list of subresources
    `T` | `aggregatePrincipalTransformer(String childKey)` Create and configure a AggregatePrincipalTransformer object to the list of subresources
    `T` | `aggregatePrincipalTransformer(String childKey, AggregatePrincipalTransformerConsumer consumer)` Create and configure a AggregatePrincipalTransformer object to the list of subresources
    `T` | `aggregatePrincipalTransformers(List<AggregatePrincipalTransformer> value)` Add all AggregatePrincipalTransformer objects to this subresource
    `T` | `aggregateProviders(AggregateProviders value)` Add the AggregateProviders object to the list of subresources
    `T` | `aggregateProviders(AggregateProvidersSupplier supplier)` Install a supplied AggregateProviders object to the list of subresources
    `T` | `aggregateProviders(List<AggregateProviders> value)` Add all AggregateProviders objects to this subresource
    `T` | `aggregateProviders(String childKey)` Create and configure a AggregateProviders object to the list of subresources
    `T` | `aggregateProviders(String childKey, AggregateProvidersConsumer consumer)` Create and configure a AggregateProviders object to the list of subresources
    `T` | `aggregateRealm(AggregateRealm value)` Add the AggregateRealm object to the list of subresources
    `T` | `aggregateRealm(AggregateRealmSupplier supplier)` Install a supplied AggregateRealm object to the list of subresources
    `T` | `aggregateRealm(String childKey)` Create and configure a AggregateRealm object to the list of subresources
    `T` | `aggregateRealm(String childKey, AggregateRealmConsumer consumer)` Create and configure a AggregateRealm object to the list of subresources
    `T` | `aggregateRealms(List<AggregateRealm> value)` Add all AggregateRealm objects to this subresource
    `T` | `aggregateRoleMapper(AggregateRoleMapper value)` Add the AggregateRoleMapper object to the list of subresources
    `T` | `aggregateRoleMapper(AggregateRoleMapperSupplier supplier)` Install a supplied AggregateRoleMapper object to the list of subresources
    `T` | `aggregateRoleMapper(String childKey)` Create and configure a AggregateRoleMapper object to the list of subresources
    `T` | `aggregateRoleMapper(String childKey, AggregateRoleMapperConsumer consumer)` Create and configure a AggregateRoleMapper object to the list of subresources
    `T` | `aggregateRoleMappers(List<AggregateRoleMapper> value)` Add all AggregateRoleMapper objects to this subresource
    `T` | `aggregateSaslServerFactories(List<AggregateSASLServerFactory> value)` Add all AggregateSASLServerFactory objects to this subresource
    `T` | `aggregateSaslServerFactory(AggregateSASLServerFactory value)` Add the AggregateSASLServerFactory object to the list of subresources
    `T` | `aggregateSaslServerFactory(AggregateSASLServerFactorySupplier supplier)` Install a supplied AggregateSASLServerFactory object to the list of subresources
    `T` | `aggregateSaslServerFactory(String childKey)` Create and configure a AggregateSASLServerFactory object to the list of subresources
    `T` | `aggregateSaslServerFactory(String childKey, AggregateSASLServerFactoryConsumer consumer)` Create and configure a AggregateSASLServerFactory object to the list of subresources
    `T` | `aggregateSecurityEventListener(AggregateSecurityEventListener value)` Add the AggregateSecurityEventListener object to the list of subresources
    `T` | `aggregateSecurityEventListener(AggregateSecurityEventListenerSupplier supplier)` Install a supplied AggregateSecurityEventListener object to the list of subresources
    `T` | `aggregateSecurityEventListener(String childKey)` Create and configure a AggregateSecurityEventListener object to the list of subresources
    `T` | `aggregateSecurityEventListener(String childKey, AggregateSecurityEventListenerConsumer consumer)` Create and configure a AggregateSecurityEventListener object to the list of subresources
    `T` | `aggregateSecurityEventListeners(List<AggregateSecurityEventListener> value)` Add all AggregateSecurityEventListener objects to this subresource
    `T` | `authenticationConfiguration(AuthenticationConfiguration value)` Add the AuthenticationConfiguration object to the list of subresources
    `T` | `authenticationConfiguration(AuthenticationConfigurationSupplier supplier)` Install a supplied AuthenticationConfiguration object to the list of subresources
    `T` | `authenticationConfiguration(String childKey)` Create and configure a AuthenticationConfiguration object to the list of subresources
    `T` | `authenticationConfiguration(String childKey, AuthenticationConfigurationConsumer consumer)` Create and configure a AuthenticationConfiguration object to the list of subresources
    `T` | `authenticationConfigurations(List<AuthenticationConfiguration> value)` Add all AuthenticationConfiguration objects to this subresource
    `T` | `authenticationContext(AuthenticationContext value)` Add the AuthenticationContext object to the list of subresources
    `T` | `authenticationContext(AuthenticationContextSupplier supplier)` Install a supplied AuthenticationContext object to the list of subresources
    `T` | `authenticationContext(String childKey)` Create and configure a AuthenticationContext object to the list of subresources
    `T` | `authenticationContext(String childKey, AuthenticationContextConsumer consumer)` Create and configure a AuthenticationContext object to the list of subresources
    `T` | `authenticationContexts(List<AuthenticationContext> value)` Add all AuthenticationContext objects to this subresource
    `T` | `cachingRealm(CachingRealm value)` Add the CachingRealm object to the list of subresources
    `T` | `cachingRealm(CachingRealmSupplier supplier)` Install a supplied CachingRealm object to the list of subresources
    `T` | `cachingRealm(String childKey)` Create and configure a CachingRealm object to the list of subresources
    `T` | `cachingRealm(String childKey, CachingRealmConsumer consumer)` Create and configure a CachingRealm object to the list of subresources
    `T` | `cachingRealms(List<CachingRealm> value)` Add all CachingRealm objects to this subresource
    `T` | `chainedPrincipalTransformer(ChainedPrincipalTransformer value)` Add the ChainedPrincipalTransformer object to the list of subresources
    `T` | `chainedPrincipalTransformer(ChainedPrincipalTransformerSupplier supplier)` Install a supplied ChainedPrincipalTransformer object to the list of subresources
    `T` | `chainedPrincipalTransformer(String childKey)` Create and configure a ChainedPrincipalTransformer object to the list of subresources
    `T` | `chainedPrincipalTransformer(String childKey, ChainedPrincipalTransformerConsumer consumer)` Create and configure a ChainedPrincipalTransformer object to the list of subresources
    `T` | `chainedPrincipalTransformers(List<ChainedPrincipalTransformer> value)` Add all ChainedPrincipalTransformer objects to this subresource
    `T` | `clientSslContext(ClientSslContext value)` Add the ClientSslContext object to the list of subresources
    `T` | `clientSslContext(ClientSslContextSupplier supplier)` Install a supplied ClientSslContext object to the list of subresources
    `T` | `clientSslContext(String childKey)` Create and configure a ClientSslContext object to the list of subresources
    `T` | `clientSslContext(String childKey, ClientSslContextConsumer consumer)` Create and configure a ClientSslContext object to the list of subresources
    `T` | `clientSslContexts(List<ClientSslContext> value)` Add all ClientSslContext objects to this subresource
    `T` | `concatenatingPrincipalDecoder(ConcatenatingPrincipalDecoder value)` Add the ConcatenatingPrincipalDecoder object to the list of subresources
    `T` | `concatenatingPrincipalDecoder(ConcatenatingPrincipalDecoderSupplier supplier)` Install a supplied ConcatenatingPrincipalDecoder object to the list of subresources
    `T` | `concatenatingPrincipalDecoder(String childKey)` Create and configure a ConcatenatingPrincipalDecoder object to the list of subresources
    `T` | `concatenatingPrincipalDecoder(String childKey, ConcatenatingPrincipalDecoderConsumer consumer)` Create and configure a ConcatenatingPrincipalDecoder object to the list of subresources
    `T` | `concatenatingPrincipalDecoders(List<ConcatenatingPrincipalDecoder> value)` Add all ConcatenatingPrincipalDecoder objects to this subresource
    `T` | `configurableHttpServerMechanismFactories(List<ConfigurableHTTPServerMechanismFactory> value)` Add all ConfigurableHTTPServerMechanismFactory objects to this subresource
    `T` | `configurableHttpServerMechanismFactory(ConfigurableHTTPServerMechanismFactory value)` Add the ConfigurableHTTPServerMechanismFactory object to the list of subresources
    `T` | `configurableHttpServerMechanismFactory(ConfigurableHTTPServerMechanismFactorySupplier supplier)` Install a supplied ConfigurableHTTPServerMechanismFactory object to the list of subresources
    `T` | `configurableHttpServerMechanismFactory(String childKey)` Create and configure a ConfigurableHTTPServerMechanismFactory object to the list of subresources
    `T` | `configurableHttpServerMechanismFactory(String childKey, ConfigurableHTTPServerMechanismFactoryConsumer consumer)` Create and configure a ConfigurableHTTPServerMechanismFactory object to the list of subresources
    `T` | `configurableSaslServerFactories(List<ConfigurableSASLServerFactory> value)` Add all ConfigurableSASLServerFactory objects to this subresource
    `T` | `configurableSaslServerFactory(ConfigurableSASLServerFactory value)` Add the ConfigurableSASLServerFactory object to the list of subresources
    `T` | `configurableSaslServerFactory(ConfigurableSASLServerFactorySupplier supplier)` Install a supplied ConfigurableSASLServerFactory object to the list of subresources
    `T` | `configurableSaslServerFactory(String childKey)` Create and configure a ConfigurableSASLServerFactory object to the list of subresources
    `T` | `configurableSaslServerFactory(String childKey, ConfigurableSASLServerFactoryConsumer consumer)` Create and configure a ConfigurableSASLServerFactory object to the list of subresources
    `T` | `constantPermissionMapper(ConstantPermissionMapper value)` Add the ConstantPermissionMapper object to the list of subresources
    `T` | `constantPermissionMapper(ConstantPermissionMapperSupplier supplier)` Install a supplied ConstantPermissionMapper object to the list of subresources
    `T` | `constantPermissionMapper(String childKey)` Create and configure a ConstantPermissionMapper object to the list of subresources
    `T` | `constantPermissionMapper(String childKey, ConstantPermissionMapperConsumer consumer)` Create and configure a ConstantPermissionMapper object to the list of subresources
    `T` | `constantPermissionMappers(List<ConstantPermissionMapper> value)` Add all ConstantPermissionMapper objects to this subresource
    `T` | `constantPrincipalDecoder(ConstantPrincipalDecoder value)` Add the ConstantPrincipalDecoder object to the list of subresources
    `T` | `constantPrincipalDecoder(ConstantPrincipalDecoderSupplier supplier)` Install a supplied ConstantPrincipalDecoder object to the list of subresources
    `T` | `constantPrincipalDecoder(String childKey)` Create and configure a ConstantPrincipalDecoder object to the list of subresources
    `T` | `constantPrincipalDecoder(String childKey, ConstantPrincipalDecoderConsumer consumer)` Create and configure a ConstantPrincipalDecoder object to the list of subresources
    `T` | `constantPrincipalDecoders(List<ConstantPrincipalDecoder> value)` Add all ConstantPrincipalDecoder objects to this subresource
    `T` | `constantPrincipalTransformer(ConstantPrincipalTransformer value)` Add the ConstantPrincipalTransformer object to the list of subresources
    `T` | `constantPrincipalTransformer(ConstantPrincipalTransformerSupplier supplier)` Install a supplied ConstantPrincipalTransformer object to the list of subresources
    `T` | `constantPrincipalTransformer(String childKey)` Create and configure a ConstantPrincipalTransformer object to the list of subresources
    `T` | `constantPrincipalTransformer(String childKey, ConstantPrincipalTransformerConsumer consumer)` Create and configure a ConstantPrincipalTransformer object to the list of subresources
    `T` | `constantPrincipalTransformers(List<ConstantPrincipalTransformer> value)` Add all ConstantPrincipalTransformer objects to this subresource
    `T` | `constantRealmMapper(ConstantRealmMapper value)` Add the ConstantRealmMapper object to the list of subresources
    `T` | `constantRealmMapper(ConstantRealmMapperSupplier supplier)` Install a supplied ConstantRealmMapper object to the list of subresources
    `T` | `constantRealmMapper(String childKey)` Create and configure a ConstantRealmMapper object to the list of subresources
    `T` | `constantRealmMapper(String childKey, ConstantRealmMapperConsumer consumer)` Create and configure a ConstantRealmMapper object to the list of subresources
    `T` | `constantRealmMappers(List<ConstantRealmMapper> value)` Add all ConstantRealmMapper objects to this subresource
    `T` | `constantRoleMapper(ConstantRoleMapper value)` Add the ConstantRoleMapper object to the list of subresources
    `T` | `constantRoleMapper(ConstantRoleMapperSupplier supplier)` Install a supplied ConstantRoleMapper object to the list of subresources
    `T` | `constantRoleMapper(String childKey)` Create and configure a ConstantRoleMapper object to the list of subresources
    `T` | `constantRoleMapper(String childKey, ConstantRoleMapperConsumer consumer)` Create and configure a ConstantRoleMapper object to the list of subresources
    `T` | `constantRoleMappers(List<ConstantRoleMapper> value)` Add all ConstantRoleMapper objects to this subresource
    `T` | `credentialStore(CredentialStore value)` Add the CredentialStore object to the list of subresources
    `T` | `credentialStore(CredentialStoreSupplier supplier)` Install a supplied CredentialStore object to the list of subresources
    `T` | `credentialStore(String childKey)` Create and configure a CredentialStore object to the list of subresources
    `T` | `credentialStore(String childKey, CredentialStoreConsumer consumer)` Create and configure a CredentialStore object to the list of subresources
    `T` | `credentialStores(List<CredentialStore> value)` Add all CredentialStore objects to this subresource
    `T` | `customCredentialSecurityFactories(List<CustomCredentialSecurityFactory> value)` Add all CustomCredentialSecurityFactory objects to this subresource
    `T` | `customCredentialSecurityFactory(CustomCredentialSecurityFactory value)` Add the CustomCredentialSecurityFactory object to the list of subresources
    `T` | `customCredentialSecurityFactory(CustomCredentialSecurityFactorySupplier supplier)` Install a supplied CustomCredentialSecurityFactory object to the list of subresources
    `T` | `customCredentialSecurityFactory(String childKey)` Create and configure a CustomCredentialSecurityFactory object to the list of subresources
    `T` | `customCredentialSecurityFactory(String childKey, CustomCredentialSecurityFactoryConsumer consumer)` Create and configure a CustomCredentialSecurityFactory object to the list of subresources
    `T` | `customModifiableRealm(CustomModifiableRealm value)` Add the CustomModifiableRealm object to the list of subresources
    `T` | `customModifiableRealm(CustomModifiableRealmSupplier supplier)` Install a supplied CustomModifiableRealm object to the list of subresources
    `T` | `customModifiableRealm(String childKey)` Create and configure a CustomModifiableRealm object to the list of subresources
    `T` | `customModifiableRealm(String childKey, CustomModifiableRealmConsumer consumer)` Create and configure a CustomModifiableRealm object to the list of subresources
    `T` | `customModifiableRealms(List<CustomModifiableRealm> value)` Add all CustomModifiableRealm objects to this subresource
    `T` | `customPermissionMapper(CustomPermissionMapper value)` Add the CustomPermissionMapper object to the list of subresources
    `T` | `customPermissionMapper(CustomPermissionMapperSupplier supplier)` Install a supplied CustomPermissionMapper object to the list of subresources
    `T` | `customPermissionMapper(String childKey)` Create and configure a CustomPermissionMapper object to the list of subresources
    `T` | `customPermissionMapper(String childKey, CustomPermissionMapperConsumer consumer)` Create and configure a CustomPermissionMapper object to the list of subresources
    `T` | `customPermissionMappers(List<CustomPermissionMapper> value)` Add all CustomPermissionMapper objects to this subresource
    `T` | `customPrincipalDecoder(CustomPrincipalDecoder value)` Add the CustomPrincipalDecoder object to the list of subresources
    `T` | `customPrincipalDecoder(CustomPrincipalDecoderSupplier supplier)` Install a supplied CustomPrincipalDecoder object to the list of subresources
    `T` | `customPrincipalDecoder(String childKey)` Create and configure a CustomPrincipalDecoder object to the list of subresources
    `T` | `customPrincipalDecoder(String childKey, CustomPrincipalDecoderConsumer consumer)` Create and configure a CustomPrincipalDecoder object to the list of subresources
    `T` | `customPrincipalDecoders(List<CustomPrincipalDecoder> value)` Add all CustomPrincipalDecoder objects to this subresource
    `T` | `customPrincipalTransformer(CustomPrincipalTransformer value)` Add the CustomPrincipalTransformer object to the list of subresources
    `T` | `customPrincipalTransformer(CustomPrincipalTransformerSupplier supplier)` Install a supplied CustomPrincipalTransformer object to the list of subresources
    `T` | `customPrincipalTransformer(String childKey)` Create and configure a CustomPrincipalTransformer object to the list of subresources
    `T` | `customPrincipalTransformer(String childKey, CustomPrincipalTransformerConsumer consumer)` Create and configure a CustomPrincipalTransformer object to the list of subresources
    `T` | `customPrincipalTransformers(List<CustomPrincipalTransformer> value)` Add all CustomPrincipalTransformer objects to this subresource
    `T` | `customRealm(CustomRealm value)` Add the CustomRealm object to the list of subresources
    `T` | `customRealm(CustomRealmSupplier supplier)` Install a supplied CustomRealm object to the list of subresources
    `T` | `customRealm(String childKey)` Create and configure a CustomRealm object to the list of subresources
    `T` | `customRealm(String childKey, CustomRealmConsumer consumer)` Create and configure a CustomRealm object to the list of subresources
    `T` | `customRealmMapper(CustomRealmMapper value)` Add the CustomRealmMapper object to the list of subresources
    `T` | `customRealmMapper(CustomRealmMapperSupplier supplier)` Install a supplied CustomRealmMapper object to the list of subresources
    `T` | `customRealmMapper(String childKey)` Create and configure a CustomRealmMapper object to the list of subresources
    `T` | `customRealmMapper(String childKey, CustomRealmMapperConsumer consumer)` Create and configure a CustomRealmMapper object to the list of subresources
    `T` | `customRealmMappers(List<CustomRealmMapper> value)` Add all CustomRealmMapper objects to this subresource
    `T` | `customRealms(List<CustomRealm> value)` Add all CustomRealm objects to this subresource
    `T` | `customRoleDecoder(CustomRoleDecoder value)` Add the CustomRoleDecoder object to the list of subresources
    `T` | `customRoleDecoder(CustomRoleDecoderSupplier supplier)` Install a supplied CustomRoleDecoder object to the list of subresources
    `T` | `customRoleDecoder(String childKey)` Create and configure a CustomRoleDecoder object to the list of subresources
    `T` | `customRoleDecoder(String childKey, CustomRoleDecoderConsumer consumer)` Create and configure a CustomRoleDecoder object to the list of subresources
    `T` | `customRoleDecoders(List<CustomRoleDecoder> value)` Add all CustomRoleDecoder objects to this subresource
    `T` | `customRoleMapper(CustomRoleMapper value)` Add the CustomRoleMapper object to the list of subresources
    `T` | `customRoleMapper(CustomRoleMapperSupplier supplier)` Install a supplied CustomRoleMapper object to the list of subresources
    `T` | `customRoleMapper(String childKey)` Create and configure a CustomRoleMapper object to the list of subresources
    `T` | `customRoleMapper(String childKey, CustomRoleMapperConsumer consumer)` Create and configure a CustomRoleMapper object to the list of subresources
    `T` | `customRoleMappers(List<CustomRoleMapper> value)` Add all CustomRoleMapper objects to this subresource
    `String` | `defaultAuthenticationContext()` The default authentication context to be associated with all deployments.
    `T` | `defaultAuthenticationContext(String value)` The default authentication context to be associated with all deployments.
    `T` | `dirContext(DirContext value)` Add the DirContext object to the list of subresources
    `T` | `dirContext(DirContextSupplier supplier)` Install a supplied DirContext object to the list of subresources
    `T` | `dirContext(String childKey)` Create and configure a DirContext object to the list of subresources
    `T` | `dirContext(String childKey, DirContextConsumer consumer)` Create and configure a DirContext object to the list of subresources
    `T` | `dirContexts(List<DirContext> value)` Add all DirContext objects to this subresource
    `T` | `disallowedProvider(String value)` A list of providers that are not allowed, and will be removed from the providers list.
    `List<String>` | `disallowedProviders()` A list of providers that are not allowed, and will be removed from the providers list.
    `T` | `disallowedProviders(List<String> value)` A list of providers that are not allowed, and will be removed from the providers list.
    `T` | `disallowedProviders(String... args)` A list of providers that are not allowed, and will be removed from the providers list.
    `T` | `fileAuditLog(FileAuditLog value)` Add the FileAuditLog object to the list of subresources
    `T` | `fileAuditLog(FileAuditLogSupplier supplier)` Install a supplied FileAuditLog object to the list of subresources
    `T` | `fileAuditLog(String childKey)` Create and configure a FileAuditLog object to the list of subresources
    `T` | `fileAuditLog(String childKey, FileAuditLogConsumer consumer)` Create and configure a FileAuditLog object to the list of subresources
    `T` | `fileAuditLogs(List<FileAuditLog> value)` Add all FileAuditLog objects to this subresource
    `T` | `filesystemRealm(FilesystemRealm value)` Add the FilesystemRealm object to the list of subresources
    `T` | `filesystemRealm(FilesystemRealmSupplier supplier)` Install a supplied FilesystemRealm object to the list of subresources
    `T` | `filesystemRealm(String childKey)` Create and configure a FilesystemRealm object to the list of subresources
    `T` | `filesystemRealm(String childKey, FilesystemRealmConsumer consumer)` Create and configure a FilesystemRealm object to the list of subresources
    `T` | `filesystemRealms(List<FilesystemRealm> value)` Add all FilesystemRealm objects to this subresource
    `T` | `filteringKeyStore(FilteringKeyStore value)` Add the FilteringKeyStore object to the list of subresources
    `T` | `filteringKeyStore(FilteringKeyStoreSupplier supplier)` Install a supplied FilteringKeyStore object to the list of subresources
    `T` | `filteringKeyStore(String childKey)` Create and configure a FilteringKeyStore object to the list of subresources
    `T` | `filteringKeyStore(String childKey, FilteringKeyStoreConsumer consumer)` Create and configure a FilteringKeyStore object to the list of subresources
    `T` | `filteringKeyStores(List<FilteringKeyStore> value)` Add all FilteringKeyStore objects to this subresource
    `String` | `finalProviders()` Reference to the Providers that should be registered after all existing Providers.
    `T` | `finalProviders(String value)` Reference to the Providers that should be registered after all existing Providers.
    `String` | `getKey()`
    `T` | `httpAuthenticationFactories(List<HTTPAuthenticationFactory> value)` Add all HTTPAuthenticationFactory objects to this subresource
    `T` | `httpAuthenticationFactory(HTTPAuthenticationFactory value)` Add the HTTPAuthenticationFactory object to the list of subresources
    `T` | `httpAuthenticationFactory(HTTPAuthenticationFactorySupplier supplier)` Install a supplied HTTPAuthenticationFactory object to the list of subresources
    `T` | `httpAuthenticationFactory(String childKey)` Create and configure a HTTPAuthenticationFactory object to the list of subresources
    `T` | `httpAuthenticationFactory(String childKey, HTTPAuthenticationFactoryConsumer consumer)` Create and configure a HTTPAuthenticationFactory object to the list of subresources
    `T` | `identityRealm(IdentityRealm value)` Add the IdentityRealm object to the list of subresources
    `T` | `identityRealm(IdentityRealmSupplier supplier)` Install a supplied IdentityRealm object to the list of subresources
    `T` | `identityRealm(String childKey)` Create and configure a IdentityRealm object to the list of subresources
    `T` | `identityRealm(String childKey, IdentityRealmConsumer consumer)` Create and configure a IdentityRealm object to the list of subresources
    `T` | `identityRealms(List<IdentityRealm> value)` Add all IdentityRealm objects to this subresource
    `String` | `initialProviders()` Reference to the Providers that should be registered ahead of all existing Providers.
    `T` | `initialProviders(String value)` Reference to the Providers that should be registered ahead of all existing Providers.
    `T` | `jdbcRealm(JDBCRealm value)` Add the JDBCRealm object to the list of subresources
    `T` | `jdbcRealm(JDBCRealmSupplier supplier)` Install a supplied JDBCRealm object to the list of subresources
    `T` | `jdbcRealm(String childKey)` Create and configure a JDBCRealm object to the list of subresources
    `T` | `jdbcRealm(String childKey, JDBCRealmConsumer consumer)` Create and configure a JDBCRealm object to the list of subresources
    `T` | `jdbcRealms(List<JDBCRealm> value)` Add all JDBCRealm objects to this subresource
    `T` | `kerberosSecurityFactories(List<KerberosSecurityFactory> value)` Add all KerberosSecurityFactory objects to this subresource
    `T` | `kerberosSecurityFactory(KerberosSecurityFactory value)` Add the KerberosSecurityFactory object to the list of subresources
    `T` | `kerberosSecurityFactory(KerberosSecurityFactorySupplier supplier)` Install a supplied KerberosSecurityFactory object to the list of subresources
    `T` | `kerberosSecurityFactory(String childKey)` Create and configure a KerberosSecurityFactory object to the list of subresources
    `T` | `kerberosSecurityFactory(String childKey, KerberosSecurityFactoryConsumer consumer)` Create and configure a KerberosSecurityFactory object to the list of subresources
    `T` | `keyManager(KeyManager value)` Add the KeyManager object to the list of subresources
    `T` | `keyManager(KeyManagerSupplier supplier)` Install a supplied KeyManager object to the list of subresources
    `T` | `keyManager(String childKey)` Create and configure a KeyManager object to the list of subresources
    `T` | `keyManager(String childKey, KeyManagerConsumer consumer)` Create and configure a KeyManager object to the list of subresources
    `T` | `keyManagers(List<KeyManager> value)` Add all KeyManager objects to this subresource
    `T` | `keyStore(KeyStore value)` Add the KeyStore object to the list of subresources
    `T` | `keyStore(KeyStoreSupplier supplier)` Install a supplied KeyStore object to the list of subresources
    `T` | `keyStore(String childKey)` Create and configure a KeyStore object to the list of subresources
    `T` | `keyStore(String childKey, KeyStoreConsumer consumer)` Create and configure a KeyStore object to the list of subresources
    `T` | `keyStoreRealm(KeyStoreRealm value)` Add the KeyStoreRealm object to the list of subresources
    `T` | `keyStoreRealm(KeyStoreRealmSupplier supplier)` Install a supplied KeyStoreRealm object to the list of subresources
    `T` | `keyStoreRealm(String childKey)` Create and configure a KeyStoreRealm object to the list of subresources
    `T` | `keyStoreRealm(String childKey, KeyStoreRealmConsumer consumer)` Create and configure a KeyStoreRealm object to the list of subresources
    `T` | `keyStoreRealms(List<KeyStoreRealm> value)` Add all KeyStoreRealm objects to this subresource
    `T` | `keyStores(List<KeyStore> value)` Add all KeyStore objects to this subresource
    `T` | `ldapKeyStore(LdapKeyStore value)` Add the LdapKeyStore object to the list of subresources
    `T` | `ldapKeyStore(LdapKeyStoreSupplier supplier)` Install a supplied LdapKeyStore object to the list of subresources
    `T` | `ldapKeyStore(String childKey)` Create and configure a LdapKeyStore object to the list of subresources
    `T` | `ldapKeyStore(String childKey, LdapKeyStoreConsumer consumer)` Create and configure a LdapKeyStore object to the list of subresources
    `T` | `ldapKeyStores(List<LdapKeyStore> value)` Add all LdapKeyStore objects to this subresource
    `T` | `ldapRealm(LdapRealm value)` Add the LdapRealm object to the list of subresources
    `T` | `ldapRealm(LdapRealmSupplier supplier)` Install a supplied LdapRealm object to the list of subresources
    `T` | `ldapRealm(String childKey)` Create and configure a LdapRealm object to the list of subresources
    `T` | `ldapRealm(String childKey, LdapRealmConsumer consumer)` Create and configure a LdapRealm object to the list of subresources
    `T` | `ldapRealms(List<LdapRealm> value)` Add all LdapRealm objects to this subresource
    `T` | `logicalPermissionMapper(LogicalPermissionMapper value)` Add the LogicalPermissionMapper object to the list of subresources
    `T` | `logicalPermissionMapper(LogicalPermissionMapperSupplier supplier)` Install a supplied LogicalPermissionMapper object to the list of subresources
    `T` | `logicalPermissionMapper(String childKey)` Create and configure a LogicalPermissionMapper object to the list of subresources
    `T` | `logicalPermissionMapper(String childKey, LogicalPermissionMapperConsumer consumer)` Create and configure a LogicalPermissionMapper object to the list of subresources
    `T` | `logicalPermissionMappers(List<LogicalPermissionMapper> value)` Add all LogicalPermissionMapper objects to this subresource
    `T` | `logicalRoleMapper(LogicalRoleMapper value)` Add the LogicalRoleMapper object to the list of subresources
    `T` | `logicalRoleMapper(LogicalRoleMapperSupplier supplier)` Install a supplied LogicalRoleMapper object to the list of subresources
    `T` | `logicalRoleMapper(String childKey)` Create and configure a LogicalRoleMapper object to the list of subresources
    `T` | `logicalRoleMapper(String childKey, LogicalRoleMapperConsumer consumer)` Create and configure a LogicalRoleMapper object to the list of subresources
    `T` | `logicalRoleMappers(List<LogicalRoleMapper> value)` Add all LogicalRoleMapper objects to this subresource
    `T` | `mappedRegexRealmMapper(MappedRegexRealmMapper value)` Add the MappedRegexRealmMapper object to the list of subresources
    `T` | `mappedRegexRealmMapper(MappedRegexRealmMapperSupplier supplier)` Install a supplied MappedRegexRealmMapper object to the list of subresources
    `T` | `mappedRegexRealmMapper(String childKey)` Create and configure a MappedRegexRealmMapper object to the list of subresources
    `T` | `mappedRegexRealmMapper(String childKey, MappedRegexRealmMapperConsumer consumer)` Create and configure a MappedRegexRealmMapper object to the list of subresources
    `T` | `mappedRegexRealmMappers(List<MappedRegexRealmMapper> value)` Add all MappedRegexRealmMapper objects to this subresource
    `T` | `mechanismProviderFilteringSaslServerFactories(List<MechanismProviderFilteringSASLServerFactory> value)` Add all MechanismProviderFilteringSASLServerFactory objects to this subresource
    `T` | `mechanismProviderFilteringSaslServerFactory(MechanismProviderFilteringSASLServerFactory value)` Add the MechanismProviderFilteringSASLServerFactory object to the list of subresources
    `T` | `mechanismProviderFilteringSaslServerFactory(MechanismProviderFilteringSASLServerFactorySupplier supplier)` Install a supplied MechanismProviderFilteringSASLServerFactory object to the list of subresources
    `T` | `mechanismProviderFilteringSaslServerFactory(String childKey)` Create and configure a MechanismProviderFilteringSASLServerFactory object to the list of subresources
    `T` | `mechanismProviderFilteringSaslServerFactory(String childKey, MechanismProviderFilteringSASLServerFactoryConsumer consumer)` Create and configure a MechanismProviderFilteringSASLServerFactory object to the list of subresources
    `T` | `periodicRotatingFileAuditLog(PeriodicRotatingFileAuditLog value)` Add the PeriodicRotatingFileAuditLog object to the list of subresources
    `T` | `periodicRotatingFileAuditLog(PeriodicRotatingFileAuditLogSupplier supplier)` Install a supplied PeriodicRotatingFileAuditLog object to the list of subresources
    `T` | `periodicRotatingFileAuditLog(String childKey)` Create and configure a PeriodicRotatingFileAuditLog object to the list of subresources
    `T` | `periodicRotatingFileAuditLog(String childKey, PeriodicRotatingFileAuditLogConsumer consumer)` Create and configure a PeriodicRotatingFileAuditLog object to the list of subresources
    `T` | `periodicRotatingFileAuditLogs(List<PeriodicRotatingFileAuditLog> value)` Add all PeriodicRotatingFileAuditLog objects to this subresource
    `T` | `policies(List<Policy> value)` Add all Policy objects to this subresource
    `T` | `policy(Policy value)` Add the Policy object to the list of subresources
    `T` | `policy(PolicySupplier supplier)` Install a supplied Policy object to the list of subresources
    `T` | `policy(String childKey)` Create and configure a Policy object to the list of subresources
    `T` | `policy(String childKey, PolicyConsumer consumer)` Create and configure a Policy object to the list of subresources
    `T` | `propertiesRealm(PropertiesRealm value)` Add the PropertiesRealm object to the list of subresources
    `T` | `propertiesRealm(PropertiesRealmSupplier supplier)` Install a supplied PropertiesRealm object to the list of subresources
    `T` | `propertiesRealm(String childKey)` Create and configure a PropertiesRealm object to the list of subresources
    `T` | `propertiesRealm(String childKey, PropertiesRealmConsumer consumer)` Create and configure a PropertiesRealm object to the list of subresources
    `T` | `propertiesRealms(List<PropertiesRealm> value)` Add all PropertiesRealm objects to this subresource
    `T` | `providerHttpServerMechanismFactories(List<ProviderHTTPServerMechanismFactory> value)` Add all ProviderHTTPServerMechanismFactory objects to this subresource
    `T` | `providerHttpServerMechanismFactory(ProviderHTTPServerMechanismFactory value)` Add the ProviderHTTPServerMechanismFactory object to the list of subresources
    `T` | `providerHttpServerMechanismFactory(ProviderHTTPServerMechanismFactorySupplier supplier)` Install a supplied ProviderHTTPServerMechanismFactory object to the list of subresources
    `T` | `providerHttpServerMechanismFactory(String childKey)` Create and configure a ProviderHTTPServerMechanismFactory object to the list of subresources
    `T` | `providerHttpServerMechanismFactory(String childKey, ProviderHTTPServerMechanismFactoryConsumer consumer)` Create and configure a ProviderHTTPServerMechanismFactory object to the list of subresources
    `T` | `providerLoader(ProviderLoader value)` Add the ProviderLoader object to the list of subresources
    `T` | `providerLoader(ProviderLoaderSupplier supplier)` Install a supplied ProviderLoader object to the list of subresources
    `T` | `providerLoader(String childKey)` Create and configure a ProviderLoader object to the list of subresources
    `T` | `providerLoader(String childKey, ProviderLoaderConsumer consumer)` Create and configure a ProviderLoader object to the list of subresources
    `T` | `providerLoaders(List<ProviderLoader> value)` Add all ProviderLoader objects to this subresource
    `T` | `providerSaslServerFactories(List<ProviderSASLServerFactory> value)` Add all ProviderSASLServerFactory objects to this subresource
    `T` | `providerSaslServerFactory(ProviderSASLServerFactory value)` Add the ProviderSASLServerFactory object to the list of subresources
    `T` | `providerSaslServerFactory(ProviderSASLServerFactorySupplier supplier)` Install a supplied ProviderSASLServerFactory object to the list of subresources
    `T` | `providerSaslServerFactory(String childKey)` Create and configure a ProviderSASLServerFactory object to the list of subresources
    `T` | `providerSaslServerFactory(String childKey, ProviderSASLServerFactoryConsumer consumer)` Create and configure a ProviderSASLServerFactory object to the list of subresources
    `T` | `regexPrincipalTransformer(RegexPrincipalTransformer value)` Add the RegexPrincipalTransformer object to the list of subresources
    `T` | `regexPrincipalTransformer(RegexPrincipalTransformerSupplier supplier)` Install a supplied RegexPrincipalTransformer object to the list of subresources
    `T` | `regexPrincipalTransformer(String childKey)` Create and configure a RegexPrincipalTransformer object to the list of subresources
    `T` | `regexPrincipalTransformer(String childKey, RegexPrincipalTransformerConsumer consumer)` Create and configure a RegexPrincipalTransformer object to the list of subresources
    `T` | `regexPrincipalTransformers(List<RegexPrincipalTransformer> value)` Add all RegexPrincipalTransformer objects to this subresource
    `T` | `regexValidatingPrincipalTransformer(RegexValidatingPrincipalTransformer value)` Add the RegexValidatingPrincipalTransformer object to the list of subresources
    `T` | `regexValidatingPrincipalTransformer(RegexValidatingPrincipalTransformerSupplier supplier)` Install a supplied RegexValidatingPrincipalTransformer object to the list of subresources
    `T` | `regexValidatingPrincipalTransformer(String childKey)` Create and configure a RegexValidatingPrincipalTransformer object to the list of subresources
    `T` | `regexValidatingPrincipalTransformer(String childKey, RegexValidatingPrincipalTransformerConsumer consumer)` Create and configure a RegexValidatingPrincipalTransformer object to the list of subresources
    `T` | `regexValidatingPrincipalTransformers(List<RegexValidatingPrincipalTransformer> value)` Add all RegexValidatingPrincipalTransformer objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `saslAuthenticationFactories(List<SASLAuthenticationFactory> value)` Add all SASLAuthenticationFactory objects to this subresource
    `T` | `saslAuthenticationFactory(SASLAuthenticationFactory value)` Add the SASLAuthenticationFactory object to the list of subresources
    `T` | `saslAuthenticationFactory(SASLAuthenticationFactorySupplier supplier)` Install a supplied SASLAuthenticationFactory object to the list of subresources
    `T` | `saslAuthenticationFactory(String childKey)` Create and configure a SASLAuthenticationFactory object to the list of subresources
    `T` | `saslAuthenticationFactory(String childKey, SASLAuthenticationFactoryConsumer consumer)` Create and configure a SASLAuthenticationFactory object to the list of subresources
    `T` | `securityDomain(SecurityDomain value)` Add the SecurityDomain object to the list of subresources
    `T` | `securityDomain(SecurityDomainSupplier supplier)` Install a supplied SecurityDomain object to the list of subresources
    `T` | `securityDomain(String childKey)` Create and configure a SecurityDomain object to the list of subresources
    `T` | `securityDomain(String childKey, SecurityDomainConsumer consumer)` Create and configure a SecurityDomain object to the list of subresources
    `T` | `securityDomains(List<SecurityDomain> value)` Add all SecurityDomain objects to this subresource
    `Map` | `securityProperties()` Security properties to be set.
    `T` | `securityProperties(Map value)` Security properties to be set.
    `T` | `securityProperty(String key, Object value)` Security properties to be set.
    `T` | `serverSslContext(ServerSslContext value)` Add the ServerSslContext object to the list of subresources
    `T` | `serverSslContext(ServerSslContextSupplier supplier)` Install a supplied ServerSslContext object to the list of subresources
    `T` | `serverSslContext(String childKey)` Create and configure a ServerSslContext object to the list of subresources
    `T` | `serverSslContext(String childKey, ServerSslContextConsumer consumer)` Create and configure a ServerSslContext object to the list of subresources
    `T` | `serverSslContexts(List<ServerSslContext> value)` Add all ServerSslContext objects to this subresource
    `T` | `serviceLoaderHttpServerMechanismFactories(List<ServiceLoaderHTTPServerMechanismFactory> value)` Add all ServiceLoaderHTTPServerMechanismFactory objects to this subresource
    `T` | `serviceLoaderHttpServerMechanismFactory(ServiceLoaderHTTPServerMechanismFactory value)` Add the ServiceLoaderHTTPServerMechanismFactory object to the list of subresources
    `T` | `serviceLoaderHttpServerMechanismFactory(ServiceLoaderHTTPServerMechanismFactorySupplier supplier)` Install a supplied ServiceLoaderHTTPServerMechanismFactory object to the list of subresources
    `T` | `serviceLoaderHttpServerMechanismFactory(String childKey)` Create and configure a ServiceLoaderHTTPServerMechanismFactory object to the list of subresources
    `T` | `serviceLoaderHttpServerMechanismFactory(String childKey, ServiceLoaderHTTPServerMechanismFactoryConsumer consumer)` Create and configure a ServiceLoaderHTTPServerMechanismFactory object to the list of subresources
    `T` | `serviceLoaderSaslServerFactories(List<ServiceLoaderSASLServerFactory> value)` Add all ServiceLoaderSASLServerFactory objects to this subresource
    `T` | `serviceLoaderSaslServerFactory(ServiceLoaderSASLServerFactory value)` Add the ServiceLoaderSASLServerFactory object to the list of subresources
    `T` | `serviceLoaderSaslServerFactory(ServiceLoaderSASLServerFactorySupplier supplier)` Install a supplied ServiceLoaderSASLServerFactory object to the list of subresources
    `T` | `serviceLoaderSaslServerFactory(String childKey)` Create and configure a ServiceLoaderSASLServerFactory object to the list of subresources
    `T` | `serviceLoaderSaslServerFactory(String childKey, ServiceLoaderSASLServerFactoryConsumer consumer)` Create and configure a ServiceLoaderSASLServerFactory object to the list of subresources
    `T` | `simplePermissionMapper(SimplePermissionMapper value)` Add the SimplePermissionMapper object to the list of subresources
    `T` | `simplePermissionMapper(SimplePermissionMapperSupplier supplier)` Install a supplied SimplePermissionMapper object to the list of subresources
    `T` | `simplePermissionMapper(String childKey)` Create and configure a SimplePermissionMapper object to the list of subresources
    `T` | `simplePermissionMapper(String childKey, SimplePermissionMapperConsumer consumer)` Create and configure a SimplePermissionMapper object to the list of subresources
    `T` | `simplePermissionMappers(List<SimplePermissionMapper> value)` Add all SimplePermissionMapper objects to this subresource
    `T` | `simpleRegexRealmMapper(SimpleRegexRealmMapper value)` Add the SimpleRegexRealmMapper object to the list of subresources
    `T` | `simpleRegexRealmMapper(SimpleRegexRealmMapperSupplier supplier)` Install a supplied SimpleRegexRealmMapper object to the list of subresources
    `T` | `simpleRegexRealmMapper(String childKey)` Create and configure a SimpleRegexRealmMapper object to the list of subresources
    `T` | `simpleRegexRealmMapper(String childKey, SimpleRegexRealmMapperConsumer consumer)` Create and configure a SimpleRegexRealmMapper object to the list of subresources
    `T` | `simpleRegexRealmMappers(List<SimpleRegexRealmMapper> value)` Add all SimpleRegexRealmMapper objects to this subresource
    `T` | `simpleRoleDecoder(SimpleRoleDecoder value)` Add the SimpleRoleDecoder object to the list of subresources
    `T` | `simpleRoleDecoder(SimpleRoleDecoderSupplier supplier)` Install a supplied SimpleRoleDecoder object to the list of subresources
    `T` | `simpleRoleDecoder(String childKey)` Create and configure a SimpleRoleDecoder object to the list of subresources
    `T` | `simpleRoleDecoder(String childKey, SimpleRoleDecoderConsumer consumer)` Create and configure a SimpleRoleDecoder object to the list of subresources
    `T` | `simpleRoleDecoders(List<SimpleRoleDecoder> value)` Add all SimpleRoleDecoder objects to this subresource
    `T` | `sizeRotatingFileAuditLog(SizeRotatingFileAuditLog value)` Add the SizeRotatingFileAuditLog object to the list of subresources
    `T` | `sizeRotatingFileAuditLog(SizeRotatingFileAuditLogSupplier supplier)` Install a supplied SizeRotatingFileAuditLog object to the list of subresources
    `T` | `sizeRotatingFileAuditLog(String childKey)` Create and configure a SizeRotatingFileAuditLog object to the list of subresources
    `T` | `sizeRotatingFileAuditLog(String childKey, SizeRotatingFileAuditLogConsumer consumer)` Create and configure a SizeRotatingFileAuditLog object to the list of subresources
    `T` | `sizeRotatingFileAuditLogs(List<SizeRotatingFileAuditLog> value)` Add all SizeRotatingFileAuditLog objects to this subresource
    `Elytron.ElytronResources` | `subresources()`
    `T` | `syslogAuditLog(String childKey)` Create and configure a SyslogAuditLog object to the list of subresources
    `T` | `syslogAuditLog(String childKey, SyslogAuditLogConsumer consumer)` Create and configure a SyslogAuditLog object to the list of subresources
    `T` | `syslogAuditLog(SyslogAuditLog value)` Add the SyslogAuditLog object to the list of subresources
    `T` | `syslogAuditLog(SyslogAuditLogSupplier supplier)` Install a supplied SyslogAuditLog object to the list of subresources
    `T` | `syslogAuditLogs(List<SyslogAuditLog> value)` Add all SyslogAuditLog objects to this subresource
    `T` | `tokenRealm(String childKey)` Create and configure a TokenRealm object to the list of subresources
    `T` | `tokenRealm(String childKey, TokenRealmConsumer consumer)` Create and configure a TokenRealm object to the list of subresources
    `T` | `tokenRealm(TokenRealm value)` Add the TokenRealm object to the list of subresources
    `T` | `tokenRealm(TokenRealmSupplier supplier)` Install a supplied TokenRealm object to the list of subresources
    `T` | `tokenRealms(List<TokenRealm> value)` Add all TokenRealm objects to this subresource
    `T` | `trustManager(String childKey)` Create and configure a TrustManager object to the list of subresources
    `T` | `trustManager(String childKey, TrustManagerConsumer consumer)` Create and configure a TrustManager object to the list of subresources
    `T` | `trustManager(TrustManager value)` Add the TrustManager object to the list of subresources
    `T` | `trustManager(TrustManagerSupplier supplier)` Install a supplied TrustManager object to the list of subresources
    `T` | `trustManagers(List<TrustManager> value)` Add all TrustManager objects to this subresource
    `T` | `x500AttributePrincipalDecoder(String childKey)` Create and configure a X500AttributePrincipalDecoder object to the list of subresources
    `T` | `x500AttributePrincipalDecoder(String childKey, X500AttributePrincipalDecoderConsumer consumer)` Create and configure a X500AttributePrincipalDecoder object to the list of subresources
    `T` | `x500AttributePrincipalDecoder(X500AttributePrincipalDecoder value)` Add the X500AttributePrincipalDecoder object to the list of subresources
    `T` | `x500AttributePrincipalDecoder(X500AttributePrincipalDecoderSupplier supplier)` Install a supplied X500AttributePrincipalDecoder object to the list of subresources
    `T` | `x500AttributePrincipalDecoders(List<X500AttributePrincipalDecoder> value)` Add all X500AttributePrincipalDecoder objects to this subresource

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Elytron

          public Elytron()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Elytron.ElytronResources subresources()

    - #### customPrincipalTransformers

          public T customPrincipalTransformers(List<CustomPrincipalTransformer> value)

      Add all CustomPrincipalTransformer objects to this subresource
      Parameters:
        `value` - List of CustomPrincipalTransformer objects.
      Returns:
        this

    - #### customPrincipalTransformer

          public T customPrincipalTransformer(CustomPrincipalTransformer value)

      Add the CustomPrincipalTransformer object to the list of subresources
      Parameters:
        `value` - The CustomPrincipalTransformer to add
      Returns:
        this

    - #### customPrincipalTransformer

          public T customPrincipalTransformer(String childKey,
                                              CustomPrincipalTransformerConsumer consumer)

      Create and configure a CustomPrincipalTransformer object to the list of subresources
      Parameters:
        `key` - The key for the CustomPrincipalTransformer resource
        `config` - The CustomPrincipalTransformerConsumer to use
      Returns:
        this

    - #### customPrincipalTransformer

          public T customPrincipalTransformer(String childKey)

      Create and configure a CustomPrincipalTransformer object to the list of subresources
      Parameters:
        `key` - The key for the CustomPrincipalTransformer resource
      Returns:
        this

    - #### customPrincipalTransformer

          public T customPrincipalTransformer(CustomPrincipalTransformerSupplier supplier)

      Install a supplied CustomPrincipalTransformer object to the list of subresources

    - #### constantPrincipalDecoders

          public T constantPrincipalDecoders(List<ConstantPrincipalDecoder> value)

      Add all ConstantPrincipalDecoder objects to this subresource
      Parameters:
        `value` - List of ConstantPrincipalDecoder objects.
      Returns:
        this

    - #### constantPrincipalDecoder

          public T constantPrincipalDecoder(ConstantPrincipalDecoder value)

      Add the ConstantPrincipalDecoder object to the list of subresources
      Parameters:
        `value` - The ConstantPrincipalDecoder to add
      Returns:
        this

    - #### constantPrincipalDecoder

          public T constantPrincipalDecoder(String childKey,
                                            ConstantPrincipalDecoderConsumer consumer)

      Create and configure a ConstantPrincipalDecoder object to the list of subresources
      Parameters:
        `key` - The key for the ConstantPrincipalDecoder resource
        `config` - The ConstantPrincipalDecoderConsumer to use
      Returns:
        this

    - #### constantPrincipalDecoder

          public T constantPrincipalDecoder(String childKey)

      Create and configure a ConstantPrincipalDecoder object to the list of subresources
      Parameters:
        `key` - The key for the ConstantPrincipalDecoder resource
      Returns:
        this

    - #### constantPrincipalDecoder

          public T constantPrincipalDecoder(ConstantPrincipalDecoderSupplier supplier)

      Install a supplied ConstantPrincipalDecoder object to the list of subresources

    - #### aggregateRealms

          public T aggregateRealms(List<AggregateRealm> value)

      Add all AggregateRealm objects to this subresource
      Parameters:
        `value` - List of AggregateRealm objects.
      Returns:
        this

    - #### aggregateRealm

          public T aggregateRealm(AggregateRealm value)

      Add the AggregateRealm object to the list of subresources
      Parameters:
        `value` - The AggregateRealm to add
      Returns:
        this

    - #### aggregateRealm

          public T aggregateRealm(String childKey,
                                  AggregateRealmConsumer consumer)

      Create and configure a AggregateRealm object to the list of subresources
      Parameters:
        `key` - The key for the AggregateRealm resource
        `config` - The AggregateRealmConsumer to use
      Returns:
        this

    - #### aggregateRealm

          public T aggregateRealm(String childKey)

      Create and configure a AggregateRealm object to the list of subresources
      Parameters:
        `key` - The key for the AggregateRealm resource
      Returns:
        this

    - #### aggregateRealm

          public T aggregateRealm(AggregateRealmSupplier supplier)

      Install a supplied AggregateRealm object to the list of subresources

    - #### customRoleMappers

          public T customRoleMappers(List<CustomRoleMapper> value)

      Add all CustomRoleMapper objects to this subresource
      Parameters:
        `value` - List of CustomRoleMapper objects.
      Returns:
        this

    - #### customRoleMapper

          public T customRoleMapper(CustomRoleMapper value)

      Add the CustomRoleMapper object to the list of subresources
      Parameters:
        `value` - The CustomRoleMapper to add
      Returns:
        this

    - #### customRoleMapper

          public T customRoleMapper(String childKey,
                                    CustomRoleMapperConsumer consumer)

      Create and configure a CustomRoleMapper object to the list of subresources
      Parameters:
        `key` - The key for the CustomRoleMapper resource
        `config` - The CustomRoleMapperConsumer to use
      Returns:
        this

    - #### customRoleMapper

          public T customRoleMapper(String childKey)

      Create and configure a CustomRoleMapper object to the list of subresources
      Parameters:
        `key` - The key for the CustomRoleMapper resource
      Returns:
        this

    - #### customRoleMapper

          public T customRoleMapper(CustomRoleMapperSupplier supplier)

      Install a supplied CustomRoleMapper object to the list of subresources

    - #### filesystemRealms

          public T filesystemRealms(List<FilesystemRealm> value)

      Add all FilesystemRealm objects to this subresource
      Parameters:
        `value` - List of FilesystemRealm objects.
      Returns:
        this

    - #### filesystemRealm

          public T filesystemRealm(FilesystemRealm value)

      Add the FilesystemRealm object to the list of subresources
      Parameters:
        `value` - The FilesystemRealm to add
      Returns:
        this

    - #### filesystemRealm

          public T filesystemRealm(String childKey,
                                   FilesystemRealmConsumer consumer)

      Create and configure a FilesystemRealm object to the list of subresources
      Parameters:
        `key` - The key for the FilesystemRealm resource
        `config` - The FilesystemRealmConsumer to use
      Returns:
        this

    - #### filesystemRealm

          public T filesystemRealm(String childKey)

      Create and configure a FilesystemRealm object to the list of subresources
      Parameters:
        `key` - The key for the FilesystemRealm resource
      Returns:
        this

    - #### filesystemRealm

          public T filesystemRealm(FilesystemRealmSupplier supplier)

      Install a supplied FilesystemRealm object to the list of subresources

    - #### logicalPermissionMappers

          public T logicalPermissionMappers(List<LogicalPermissionMapper> value)

      Add all LogicalPermissionMapper objects to this subresource
      Parameters:
        `value` - List of LogicalPermissionMapper objects.
      Returns:
        this

    - #### logicalPermissionMapper

          public T logicalPermissionMapper(LogicalPermissionMapper value)

      Add the LogicalPermissionMapper object to the list of subresources
      Parameters:
        `value` - The LogicalPermissionMapper to add
      Returns:
        this

    - #### logicalPermissionMapper

          public T logicalPermissionMapper(String childKey,
                                           LogicalPermissionMapperConsumer consumer)

      Create and configure a LogicalPermissionMapper object to the list of subresources
      Parameters:
        `key` - The key for the LogicalPermissionMapper resource
        `config` - The LogicalPermissionMapperConsumer to use
      Returns:
        this

    - #### logicalPermissionMapper

          public T logicalPermissionMapper(String childKey)

      Create and configure a LogicalPermissionMapper object to the list of subresources
      Parameters:
        `key` - The key for the LogicalPermissionMapper resource
      Returns:
        this

    - #### logicalPermissionMapper

          public T logicalPermissionMapper(LogicalPermissionMapperSupplier supplier)

      Install a supplied LogicalPermissionMapper object to the list of subresources

    - #### constantPrincipalTransformers

          public T constantPrincipalTransformers(List<ConstantPrincipalTransformer> value)

      Add all ConstantPrincipalTransformer objects to this subresource
      Parameters:
        `value` - List of ConstantPrincipalTransformer objects.
      Returns:
        this

    - #### constantPrincipalTransformer

          public T constantPrincipalTransformer(ConstantPrincipalTransformer value)

      Add the ConstantPrincipalTransformer object to the list of subresources
      Parameters:
        `value` - The ConstantPrincipalTransformer to add
      Returns:
        this

    - #### constantPrincipalTransformer

          public T constantPrincipalTransformer(String childKey,
                                                ConstantPrincipalTransformerConsumer consumer)

      Create and configure a ConstantPrincipalTransformer object to the list of subresources
      Parameters:
        `key` - The key for the ConstantPrincipalTransformer resource
        `config` - The ConstantPrincipalTransformerConsumer to use
      Returns:
        this

    - #### constantPrincipalTransformer

          public T constantPrincipalTransformer(String childKey)

      Create and configure a ConstantPrincipalTransformer object to the list of subresources
      Parameters:
        `key` - The key for the ConstantPrincipalTransformer resource
      Returns:
        this

    - #### constantPrincipalTransformer

          public T constantPrincipalTransformer(ConstantPrincipalTransformerSupplier supplier)

      Install a supplied ConstantPrincipalTransformer object to the list of subresources

    - #### customRealms

          public T customRealms(List<CustomRealm> value)

      Add all CustomRealm objects to this subresource
      Parameters:
        `value` - List of CustomRealm objects.
      Returns:
        this

    - #### customRealm

          public T customRealm(CustomRealm value)

      Add the CustomRealm object to the list of subresources
      Parameters:
        `value` - The CustomRealm to add
      Returns:
        this

    - #### customRealm

          public T customRealm(String childKey,
                               CustomRealmConsumer consumer)

      Create and configure a CustomRealm object to the list of subresources
      Parameters:
        `key` - The key for the CustomRealm resource
        `config` - The CustomRealmConsumer to use
      Returns:
        this

    - #### customRealm

          public T customRealm(String childKey)

      Create and configure a CustomRealm object to the list of subresources
      Parameters:
        `key` - The key for the CustomRealm resource
      Returns:
        this

    - #### customRealm

          public T customRealm(CustomRealmSupplier supplier)

      Install a supplied CustomRealm object to the list of subresources

    - #### saslAuthenticationFactories

          public T saslAuthenticationFactories(List<SASLAuthenticationFactory> value)

      Add all SASLAuthenticationFactory objects to this subresource
      Parameters:
        `value` - List of SASLAuthenticationFactory objects.
      Returns:
        this

    - #### saslAuthenticationFactory

          public T saslAuthenticationFactory(SASLAuthenticationFactory value)

      Add the SASLAuthenticationFactory object to the list of subresources
      Parameters:
        `value` - The SASLAuthenticationFactory to add
      Returns:
        this

    - #### saslAuthenticationFactory

          public T saslAuthenticationFactory(String childKey,
                                             SASLAuthenticationFactoryConsumer consumer)

      Create and configure a SASLAuthenticationFactory object to the list of subresources
      Parameters:
        `key` - The key for the SASLAuthenticationFactory resource
        `config` - The SASLAuthenticationFactoryConsumer to use
      Returns:
        this

    - #### saslAuthenticationFactory

          public T saslAuthenticationFactory(String childKey)

      Create and configure a SASLAuthenticationFactory object to the list of subresources
      Parameters:
        `key` - The key for the SASLAuthenticationFactory resource
      Returns:
        this

    - #### saslAuthenticationFactory

          public T saslAuthenticationFactory(SASLAuthenticationFactorySupplier supplier)

      Install a supplied SASLAuthenticationFactory object to the list of subresources

    - #### serviceLoaderHttpServerMechanismFactories

          public T serviceLoaderHttpServerMechanismFactories(List<ServiceLoaderHTTPServerMechanismFactory> value)

      Add all ServiceLoaderHTTPServerMechanismFactory objects to this subresource
      Parameters:
        `value` - List of ServiceLoaderHTTPServerMechanismFactory objects.
      Returns:
        this

    - #### serviceLoaderHttpServerMechanismFactory

          public T serviceLoaderHttpServerMechanismFactory(ServiceLoaderHTTPServerMechanismFactory value)

      Add the ServiceLoaderHTTPServerMechanismFactory object to the list of subresources
      Parameters:
        `value` - The ServiceLoaderHTTPServerMechanismFactory to add
      Returns:
        this

    - #### serviceLoaderHttpServerMechanismFactory

          public T serviceLoaderHttpServerMechanismFactory(String childKey,
                                                           ServiceLoaderHTTPServerMechanismFactoryConsumer consumer)

      Create and configure a ServiceLoaderHTTPServerMechanismFactory object to the list of subresources
      Parameters:
        `key` - The key for the ServiceLoaderHTTPServerMechanismFactory resource
        `config` - The ServiceLoaderHTTPServerMechanismFactoryConsumer to use
      Returns:
        this

    - #### serviceLoaderHttpServerMechanismFactory

          public T serviceLoaderHttpServerMechanismFactory(String childKey)

      Create and configure a ServiceLoaderHTTPServerMechanismFactory object to the list of subresources
      Parameters:
        `key` - The key for the ServiceLoaderHTTPServerMechanismFactory resource
      Returns:
        this

    - #### serviceLoaderHttpServerMechanismFactory

          public T serviceLoaderHttpServerMechanismFactory(ServiceLoaderHTTPServerMechanismFactorySupplier supplier)

      Install a supplied ServiceLoaderHTTPServerMechanismFactory object to the list of subresources

    - #### jdbcRealms

          public T jdbcRealms(List<JDBCRealm> value)

      Add all JDBCRealm objects to this subresource
      Parameters:
        `value` - List of JDBCRealm objects.
      Returns:
        this

    - #### jdbcRealm

          public T jdbcRealm(JDBCRealm value)

      Add the JDBCRealm object to the list of subresources
      Parameters:
        `value` - The JDBCRealm to add
      Returns:
        this

    - #### jdbcRealm

          public T jdbcRealm(String childKey,
                             JDBCRealmConsumer consumer)

      Create and configure a JDBCRealm object to the list of subresources
      Parameters:
        `key` - The key for the JDBCRealm resource
        `config` - The JDBCRealmConsumer to use
      Returns:
        this

    - #### jdbcRealm

          public T jdbcRealm(String childKey)

      Create and configure a JDBCRealm object to the list of subresources
      Parameters:
        `key` - The key for the JDBCRealm resource
      Returns:
        this

    - #### jdbcRealm

          public T jdbcRealm(JDBCRealmSupplier supplier)

      Install a supplied JDBCRealm object to the list of subresources

    - #### customRoleDecoders

          public T customRoleDecoders(List<CustomRoleDecoder> value)

      Add all CustomRoleDecoder objects to this subresource
      Parameters:
        `value` - List of CustomRoleDecoder objects.
      Returns:
        this

    - #### customRoleDecoder

          public T customRoleDecoder(CustomRoleDecoder value)

      Add the CustomRoleDecoder object to the list of subresources
      Parameters:
        `value` - The CustomRoleDecoder to add
      Returns:
        this

    - #### customRoleDecoder

          public T customRoleDecoder(String childKey,
                                     CustomRoleDecoderConsumer consumer)

      Create and configure a CustomRoleDecoder object to the list of subresources
      Parameters:
        `key` - The key for the CustomRoleDecoder resource
        `config` - The CustomRoleDecoderConsumer to use
      Returns:
        this

    - #### customRoleDecoder

          public T customRoleDecoder(String childKey)

      Create and configure a CustomRoleDecoder object to the list of subresources
      Parameters:
        `key` - The key for the CustomRoleDecoder resource
      Returns:
        this

    - #### customRoleDecoder

          public T customRoleDecoder(CustomRoleDecoderSupplier supplier)

      Install a supplied CustomRoleDecoder object to the list of subresources

    - #### credentialStores

          public T credentialStores(List<CredentialStore> value)

      Add all CredentialStore objects to this subresource
      Parameters:
        `value` - List of CredentialStore objects.
      Returns:
        this

    - #### credentialStore

          public T credentialStore(CredentialStore value)

      Add the CredentialStore object to the list of subresources
      Parameters:
        `value` - The CredentialStore to add
      Returns:
        this

    - #### credentialStore

          public T credentialStore(String childKey,
                                   CredentialStoreConsumer consumer)

      Create and configure a CredentialStore object to the list of subresources
      Parameters:
        `key` - The key for the CredentialStore resource
        `config` - The CredentialStoreConsumer to use
      Returns:
        this

    - #### credentialStore

          public T credentialStore(String childKey)

      Create and configure a CredentialStore object to the list of subresources
      Parameters:
        `key` - The key for the CredentialStore resource
      Returns:
        this

    - #### credentialStore

          public T credentialStore(CredentialStoreSupplier supplier)

      Install a supplied CredentialStore object to the list of subresources

    - #### kerberosSecurityFactories

          public T kerberosSecurityFactories(List<KerberosSecurityFactory> value)

      Add all KerberosSecurityFactory objects to this subresource
      Parameters:
        `value` - List of KerberosSecurityFactory objects.
      Returns:
        this

    - #### kerberosSecurityFactory

          public T kerberosSecurityFactory(KerberosSecurityFactory value)

      Add the KerberosSecurityFactory object to the list of subresources
      Parameters:
        `value` - The KerberosSecurityFactory to add
      Returns:
        this

    - #### kerberosSecurityFactory

          public T kerberosSecurityFactory(String childKey,
                                           KerberosSecurityFactoryConsumer consumer)

      Create and configure a KerberosSecurityFactory object to the list of subresources
      Parameters:
        `key` - The key for the KerberosSecurityFactory resource
        `config` - The KerberosSecurityFactoryConsumer to use
      Returns:
        this

    - #### kerberosSecurityFactory

          public T kerberosSecurityFactory(String childKey)

      Create and configure a KerberosSecurityFactory object to the list of subresources
      Parameters:
        `key` - The key for the KerberosSecurityFactory resource
      Returns:
        this

    - #### kerberosSecurityFactory

          public T kerberosSecurityFactory(KerberosSecurityFactorySupplier supplier)

      Install a supplied KerberosSecurityFactory object to the list of subresources

    - #### configurableHttpServerMechanismFactories

          public T configurableHttpServerMechanismFactories(List<ConfigurableHTTPServerMechanismFactory> value)

      Add all ConfigurableHTTPServerMechanismFactory objects to this subresource
      Parameters:
        `value` - List of ConfigurableHTTPServerMechanismFactory objects.
      Returns:
        this

    - #### configurableHttpServerMechanismFactory

          public T configurableHttpServerMechanismFactory(ConfigurableHTTPServerMechanismFactory value)

      Add the ConfigurableHTTPServerMechanismFactory object to the list of subresources
      Parameters:
        `value` - The ConfigurableHTTPServerMechanismFactory to add
      Returns:
        this

    - #### configurableHttpServerMechanismFactory

          public T configurableHttpServerMechanismFactory(String childKey,
                                                          ConfigurableHTTPServerMechanismFactoryConsumer consumer)

      Create and configure a ConfigurableHTTPServerMechanismFactory object to the list of subresources
      Parameters:
        `key` - The key for the ConfigurableHTTPServerMechanismFactory resource
        `config` - The ConfigurableHTTPServerMechanismFactoryConsumer to use
      Returns:
        this

    - #### configurableHttpServerMechanismFactory

          public T configurableHttpServerMechanismFactory(String childKey)

      Create and configure a ConfigurableHTTPServerMechanismFactory object to the list of subresources
      Parameters:
        `key` - The key for the ConfigurableHTTPServerMechanismFactory resource
      Returns:
        this

    - #### configurableHttpServerMechanismFactory

          public T configurableHttpServerMechanismFactory(ConfigurableHTTPServerMechanismFactorySupplier supplier)

      Install a supplied ConfigurableHTTPServerMechanismFactory object to the list of subresources

    - #### providerHttpServerMechanismFactories

          public T providerHttpServerMechanismFactories(List<ProviderHTTPServerMechanismFactory> value)

      Add all ProviderHTTPServerMechanismFactory objects to this subresource
      Parameters:
        `value` - List of ProviderHTTPServerMechanismFactory objects.
      Returns:
        this

    - #### providerHttpServerMechanismFactory

          public T providerHttpServerMechanismFactory(ProviderHTTPServerMechanismFactory value)

      Add the ProviderHTTPServerMechanismFactory object to the list of subresources
      Parameters:
        `value` - The ProviderHTTPServerMechanismFactory to add
      Returns:
        this

    - #### providerHttpServerMechanismFactory

          public T providerHttpServerMechanismFactory(String childKey,
                                                      ProviderHTTPServerMechanismFactoryConsumer consumer)

      Create and configure a ProviderHTTPServerMechanismFactory object to the list of subresources
      Parameters:
        `key` - The key for the ProviderHTTPServerMechanismFactory resource
        `config` - The ProviderHTTPServerMechanismFactoryConsumer to use
      Returns:
        this

    - #### providerHttpServerMechanismFactory

          public T providerHttpServerMechanismFactory(String childKey)

      Create and configure a ProviderHTTPServerMechanismFactory object to the list of subresources
      Parameters:
        `key` - The key for the ProviderHTTPServerMechanismFactory resource
      Returns:
        this

    - #### providerHttpServerMechanismFactory

          public T providerHttpServerMechanismFactory(ProviderHTTPServerMechanismFactorySupplier supplier)

      Install a supplied ProviderHTTPServerMechanismFactory object to the list of subresources

    - #### logicalRoleMappers

          public T logicalRoleMappers(List<LogicalRoleMapper> value)

      Add all LogicalRoleMapper objects to this subresource
      Parameters:
        `value` - List of LogicalRoleMapper objects.
      Returns:
        this

    - #### logicalRoleMapper

          public T logicalRoleMapper(LogicalRoleMapper value)

      Add the LogicalRoleMapper object to the list of subresources
      Parameters:
        `value` - The LogicalRoleMapper to add
      Returns:
        this

    - #### logicalRoleMapper

          public T logicalRoleMapper(String childKey,
                                     LogicalRoleMapperConsumer consumer)

      Create and configure a LogicalRoleMapper object to the list of subresources
      Parameters:
        `key` - The key for the LogicalRoleMapper resource
        `config` - The LogicalRoleMapperConsumer to use
      Returns:
        this

    - #### logicalRoleMapper

          public T logicalRoleMapper(String childKey)

      Create and configure a LogicalRoleMapper object to the list of subresources
      Parameters:
        `key` - The key for the LogicalRoleMapper resource
      Returns:
        this

    - #### logicalRoleMapper

          public T logicalRoleMapper(LogicalRoleMapperSupplier supplier)

      Install a supplied LogicalRoleMapper object to the list of subresources

    - #### aggregateRoleMappers

          public T aggregateRoleMappers(List<AggregateRoleMapper> value)

      Add all AggregateRoleMapper objects to this subresource
      Parameters:
        `value` - List of AggregateRoleMapper objects.
      Returns:
        this

    - #### aggregateRoleMapper

          public T aggregateRoleMapper(AggregateRoleMapper value)

      Add the AggregateRoleMapper object to the list of subresources
      Parameters:
        `value` - The AggregateRoleMapper to add
      Returns:
        this

    - #### aggregateRoleMapper

          public T aggregateRoleMapper(String childKey,
                                       AggregateRoleMapperConsumer consumer)

      Create and configure a AggregateRoleMapper object to the list of subresources
      Parameters:
        `key` - The key for the AggregateRoleMapper resource
        `config` - The AggregateRoleMapperConsumer to use
      Returns:
        this

    - #### aggregateRoleMapper

          public T aggregateRoleMapper(String childKey)

      Create and configure a AggregateRoleMapper object to the list of subresources
      Parameters:
        `key` - The key for the AggregateRoleMapper resource
      Returns:
        this

    - #### aggregateRoleMapper

          public T aggregateRoleMapper(AggregateRoleMapperSupplier supplier)

      Install a supplied AggregateRoleMapper object to the list of subresources

    - #### providerLoaders

          public T providerLoaders(List<ProviderLoader> value)

      Add all ProviderLoader objects to this subresource
      Parameters:
        `value` - List of ProviderLoader objects.
      Returns:
        this

    - #### providerLoader

          public T providerLoader(ProviderLoader value)

      Add the ProviderLoader object to the list of subresources
      Parameters:
        `value` - The ProviderLoader to add
      Returns:
        this

    - #### providerLoader

          public T providerLoader(String childKey,
                                  ProviderLoaderConsumer consumer)

      Create and configure a ProviderLoader object to the list of subresources
      Parameters:
        `key` - The key for the ProviderLoader resource
        `config` - The ProviderLoaderConsumer to use
      Returns:
        this

    - #### providerLoader

          public T providerLoader(String childKey)

      Create and configure a ProviderLoader object to the list of subresources
      Parameters:
        `key` - The key for the ProviderLoader resource
      Returns:
        this

    - #### providerLoader

          public T providerLoader(ProviderLoaderSupplier supplier)

      Install a supplied ProviderLoader object to the list of subresources

    - #### customPrincipalDecoders

          public T customPrincipalDecoders(List<CustomPrincipalDecoder> value)

      Add all CustomPrincipalDecoder objects to this subresource
      Parameters:
        `value` - List of CustomPrincipalDecoder objects.
      Returns:
        this

    - #### customPrincipalDecoder

          public T customPrincipalDecoder(CustomPrincipalDecoder value)

      Add the CustomPrincipalDecoder object to the list of subresources
      Parameters:
        `value` - The CustomPrincipalDecoder to add
      Returns:
        this

    - #### customPrincipalDecoder

          public T customPrincipalDecoder(String childKey,
                                          CustomPrincipalDecoderConsumer consumer)

      Create and configure a CustomPrincipalDecoder object to the list of subresources
      Parameters:
        `key` - The key for the CustomPrincipalDecoder resource
        `config` - The CustomPrincipalDecoderConsumer to use
      Returns:
        this

    - #### customPrincipalDecoder

          public T customPrincipalDecoder(String childKey)

      Create and configure a CustomPrincipalDecoder object to the list of subresources
      Parameters:
        `key` - The key for the CustomPrincipalDecoder resource
      Returns:
        this

    - #### customPrincipalDecoder

          public T customPrincipalDecoder(CustomPrincipalDecoderSupplier supplier)

      Install a supplied CustomPrincipalDecoder object to the list of subresources

    - #### sizeRotatingFileAuditLogs

          public T sizeRotatingFileAuditLogs(List<SizeRotatingFileAuditLog> value)

      Add all SizeRotatingFileAuditLog objects to this subresource
      Parameters:
        `value` - List of SizeRotatingFileAuditLog objects.
      Returns:
        this

    - #### sizeRotatingFileAuditLog

          public T sizeRotatingFileAuditLog(SizeRotatingFileAuditLog value)

      Add the SizeRotatingFileAuditLog object to the list of subresources
      Parameters:
        `value` - The SizeRotatingFileAuditLog to add
      Returns:
        this

    - #### sizeRotatingFileAuditLog

          public T sizeRotatingFileAuditLog(String childKey,
                                            SizeRotatingFileAuditLogConsumer consumer)

      Create and configure a SizeRotatingFileAuditLog object to the list of subresources
      Parameters:
        `key` - The key for the SizeRotatingFileAuditLog resource
        `config` - The SizeRotatingFileAuditLogConsumer to use
      Returns:
        this

    - #### sizeRotatingFileAuditLog

          public T sizeRotatingFileAuditLog(String childKey)

      Create and configure a SizeRotatingFileAuditLog object to the list of subresources
      Parameters:
        `key` - The key for the SizeRotatingFileAuditLog resource
      Returns:
        this

    - #### sizeRotatingFileAuditLog

          public T sizeRotatingFileAuditLog(SizeRotatingFileAuditLogSupplier supplier)

      Install a supplied SizeRotatingFileAuditLog object to the list of subresources

    - #### constantPermissionMappers

          public T constantPermissionMappers(List<ConstantPermissionMapper> value)

      Add all ConstantPermissionMapper objects to this subresource
      Parameters:
        `value` - List of ConstantPermissionMapper objects.
      Returns:
        this

    - #### constantPermissionMapper

          public T constantPermissionMapper(ConstantPermissionMapper value)

      Add the ConstantPermissionMapper object to the list of subresources
      Parameters:
        `value` - The ConstantPermissionMapper to add
      Returns:
        this

    - #### constantPermissionMapper

          public T constantPermissionMapper(String childKey,
                                            ConstantPermissionMapperConsumer consumer)

      Create and configure a ConstantPermissionMapper object to the list of subresources
      Parameters:
        `key` - The key for the ConstantPermissionMapper resource
        `config` - The ConstantPermissionMapperConsumer to use
      Returns:
        this

    - #### constantPermissionMapper

          public T constantPermissionMapper(String childKey)

      Create and configure a ConstantPermissionMapper object to the list of subresources
      Parameters:
        `key` - The key for the ConstantPermissionMapper resource
      Returns:
        this

    - #### constantPermissionMapper

          public T constantPermissionMapper(ConstantPermissionMapperSupplier supplier)

      Install a supplied ConstantPermissionMapper object to the list of subresources

    - #### tokenRealms

          public T tokenRealms(List<TokenRealm> value)

      Add all TokenRealm objects to this subresource
      Parameters:
        `value` - List of TokenRealm objects.
      Returns:
        this

    - #### tokenRealm

          public T tokenRealm(TokenRealm value)

      Add the TokenRealm object to the list of subresources
      Parameters:
        `value` - The TokenRealm to add
      Returns:
        this

    - #### tokenRealm

          public T tokenRealm(String childKey,
                              TokenRealmConsumer consumer)

      Create and configure a TokenRealm object to the list of subresources
      Parameters:
        `key` - The key for the TokenRealm resource
        `config` - The TokenRealmConsumer to use
      Returns:
        this

    - #### tokenRealm

          public T tokenRealm(String childKey)

      Create and configure a TokenRealm object to the list of subresources
      Parameters:
        `key` - The key for the TokenRealm resource
      Returns:
        this

    - #### tokenRealm

          public T tokenRealm(TokenRealmSupplier supplier)

      Install a supplied TokenRealm object to the list of subresources

    - #### clientSslContexts

          public T clientSslContexts(List<ClientSslContext> value)

      Add all ClientSslContext objects to this subresource
      Parameters:
        `value` - List of ClientSslContext objects.
      Returns:
        this

    - #### clientSslContext

          public T clientSslContext(ClientSslContext value)

      Add the ClientSslContext object to the list of subresources
      Parameters:
        `value` - The ClientSslContext to add
      Returns:
        this

    - #### clientSslContext

          public T clientSslContext(String childKey,
                                    ClientSslContextConsumer consumer)

      Create and configure a ClientSslContext object to the list of subresources
      Parameters:
        `key` - The key for the ClientSslContext resource
        `config` - The ClientSslContextConsumer to use
      Returns:
        this

    - #### clientSslContext

          public T clientSslContext(String childKey)

      Create and configure a ClientSslContext object to the list of subresources
      Parameters:
        `key` - The key for the ClientSslContext resource
      Returns:
        this

    - #### clientSslContext

          public T clientSslContext(ClientSslContextSupplier supplier)

      Install a supplied ClientSslContext object to the list of subresources

    - #### securityDomains

          public T securityDomains(List<SecurityDomain> value)

      Add all SecurityDomain objects to this subresource
      Parameters:
        `value` - List of SecurityDomain objects.
      Returns:
        this

    - #### securityDomain

          public T securityDomain(SecurityDomain value)

      Add the SecurityDomain object to the list of subresources
      Parameters:
        `value` - The SecurityDomain to add
      Returns:
        this

    - #### securityDomain

          public T securityDomain(String childKey,
                                  SecurityDomainConsumer consumer)

      Create and configure a SecurityDomain object to the list of subresources
      Parameters:
        `key` - The key for the SecurityDomain resource
        `config` - The SecurityDomainConsumer to use
      Returns:
        this

    - #### securityDomain

          public T securityDomain(String childKey)

      Create and configure a SecurityDomain object to the list of subresources
      Parameters:
        `key` - The key for the SecurityDomain resource
      Returns:
        this

    - #### securityDomain

          public T securityDomain(SecurityDomainSupplier supplier)

      Install a supplied SecurityDomain object to the list of subresources

    - #### constantRoleMappers

          public T constantRoleMappers(List<ConstantRoleMapper> value)

      Add all ConstantRoleMapper objects to this subresource
      Parameters:
        `value` - List of ConstantRoleMapper objects.
      Returns:
        this

    - #### constantRoleMapper

          public T constantRoleMapper(ConstantRoleMapper value)

      Add the ConstantRoleMapper object to the list of subresources
      Parameters:
        `value` - The ConstantRoleMapper to add
      Returns:
        this

    - #### constantRoleMapper

          public T constantRoleMapper(String childKey,
                                      ConstantRoleMapperConsumer consumer)

      Create and configure a ConstantRoleMapper object to the list of subresources
      Parameters:
        `key` - The key for the ConstantRoleMapper resource
        `config` - The ConstantRoleMapperConsumer to use
      Returns:
        this

    - #### constantRoleMapper

          public T constantRoleMapper(String childKey)

      Create and configure a ConstantRoleMapper object to the list of subresources
      Parameters:
        `key` - The key for the ConstantRoleMapper resource
      Returns:
        this

    - #### constantRoleMapper

          public T constantRoleMapper(ConstantRoleMapperSupplier supplier)

      Install a supplied ConstantRoleMapper object to the list of subresources

    - #### identityRealms

          public T identityRealms(List<IdentityRealm> value)

      Add all IdentityRealm objects to this subresource
      Parameters:
        `value` - List of IdentityRealm objects.
      Returns:
        this

    - #### identityRealm

          public T identityRealm(IdentityRealm value)

      Add the IdentityRealm object to the list of subresources
      Parameters:
        `value` - The IdentityRealm to add
      Returns:
        this

    - #### identityRealm

          public T identityRealm(String childKey,
                                 IdentityRealmConsumer consumer)

      Create and configure a IdentityRealm object to the list of subresources
      Parameters:
        `key` - The key for the IdentityRealm resource
        `config` - The IdentityRealmConsumer to use
      Returns:
        this

    - #### identityRealm

          public T identityRealm(String childKey)

      Create and configure a IdentityRealm object to the list of subresources
      Parameters:
        `key` - The key for the IdentityRealm resource
      Returns:
        this

    - #### identityRealm

          public T identityRealm(IdentityRealmSupplier supplier)

      Install a supplied IdentityRealm object to the list of subresources

    - #### filteringKeyStores

          public T filteringKeyStores(List<FilteringKeyStore> value)

      Add all FilteringKeyStore objects to this subresource
      Parameters:
        `value` - List of FilteringKeyStore objects.
      Returns:
        this

    - #### filteringKeyStore

          public T filteringKeyStore(FilteringKeyStore value)

      Add the FilteringKeyStore object to the list of subresources
      Parameters:
        `value` - The FilteringKeyStore to add
      Returns:
        this

    - #### filteringKeyStore

          public T filteringKeyStore(String childKey,
                                     FilteringKeyStoreConsumer consumer)

      Create and configure a FilteringKeyStore object to the list of subresources
      Parameters:
        `key` - The key for the FilteringKeyStore resource
        `config` - The FilteringKeyStoreConsumer to use
      Returns:
        this

    - #### filteringKeyStore

          public T filteringKeyStore(String childKey)

      Create and configure a FilteringKeyStore object to the list of subresources
      Parameters:
        `key` - The key for the FilteringKeyStore resource
      Returns:
        this

    - #### filteringKeyStore

          public T filteringKeyStore(FilteringKeyStoreSupplier supplier)

      Install a supplied FilteringKeyStore object to the list of subresources

    - #### propertiesRealms

          public T propertiesRealms(List<PropertiesRealm> value)

      Add all PropertiesRealm objects to this subresource
      Parameters:
        `value` - List of PropertiesRealm objects.
      Returns:
        this

    - #### propertiesRealm

          public T propertiesRealm(PropertiesRealm value)

      Add the PropertiesRealm object to the list of subresources
      Parameters:
        `value` - The PropertiesRealm to add
      Returns:
        this

    - #### propertiesRealm

          public T propertiesRealm(String childKey,
                                   PropertiesRealmConsumer consumer)

      Create and configure a PropertiesRealm object to the list of subresources
      Parameters:
        `key` - The key for the PropertiesRealm resource
        `config` - The PropertiesRealmConsumer to use
      Returns:
        this

    - #### propertiesRealm

          public T propertiesRealm(String childKey)

      Create and configure a PropertiesRealm object to the list of subresources
      Parameters:
        `key` - The key for the PropertiesRealm resource
      Returns:
        this

    - #### propertiesRealm

          public T propertiesRealm(PropertiesRealmSupplier supplier)

      Install a supplied PropertiesRealm object to the list of subresources

    - #### aggregatePrincipalDecoders

          public T aggregatePrincipalDecoders(List<AggregatePrincipalDecoder> value)

      Add all AggregatePrincipalDecoder objects to this subresource
      Parameters:
        `value` - List of AggregatePrincipalDecoder objects.
      Returns:
        this

    - #### aggregatePrincipalDecoder

          public T aggregatePrincipalDecoder(AggregatePrincipalDecoder value)

      Add the AggregatePrincipalDecoder object to the list of subresources
      Parameters:
        `value` - The AggregatePrincipalDecoder to add
      Returns:
        this

    - #### aggregatePrincipalDecoder

          public T aggregatePrincipalDecoder(String childKey,
                                             AggregatePrincipalDecoderConsumer consumer)

      Create and configure a AggregatePrincipalDecoder object to the list of subresources
      Parameters:
        `key` - The key for the AggregatePrincipalDecoder resource
        `config` - The AggregatePrincipalDecoderConsumer to use
      Returns:
        this

    - #### aggregatePrincipalDecoder

          public T aggregatePrincipalDecoder(String childKey)

      Create and configure a AggregatePrincipalDecoder object to the list of subresources
      Parameters:
        `key` - The key for the AggregatePrincipalDecoder resource
      Returns:
        this

    - #### aggregatePrincipalDecoder

          public T aggregatePrincipalDecoder(AggregatePrincipalDecoderSupplier supplier)

      Install a supplied AggregatePrincipalDecoder object to the list of subresources

    - #### aggregatePrincipalTransformers

          public T aggregatePrincipalTransformers(List<AggregatePrincipalTransformer> value)

      Add all AggregatePrincipalTransformer objects to this subresource
      Parameters:
        `value` - List of AggregatePrincipalTransformer objects.
      Returns:
        this

    - #### aggregatePrincipalTransformer

          public T aggregatePrincipalTransformer(AggregatePrincipalTransformer value)

      Add the AggregatePrincipalTransformer object to the list of subresources
      Parameters:
        `value` - The AggregatePrincipalTransformer to add
      Returns:
        this

    - #### aggregatePrincipalTransformer

          public T aggregatePrincipalTransformer(String childKey,
                                                 AggregatePrincipalTransformerConsumer consumer)

      Create and configure a AggregatePrincipalTransformer object to the list of subresources
      Parameters:
        `key` - The key for the AggregatePrincipalTransformer resource
        `config` - The AggregatePrincipalTransformerConsumer to use
      Returns:
        this

    - #### aggregatePrincipalTransformer

          public T aggregatePrincipalTransformer(String childKey)

      Create and configure a AggregatePrincipalTransformer object to the list of subresources
      Parameters:
        `key` - The key for the AggregatePrincipalTransformer resource
      Returns:
        this

    - #### aggregatePrincipalTransformer

          public T aggregatePrincipalTransformer(AggregatePrincipalTransformerSupplier supplier)

      Install a supplied AggregatePrincipalTransformer object to the list of subresources

    - #### customCredentialSecurityFactories

          public T customCredentialSecurityFactories(List<CustomCredentialSecurityFactory> value)

      Add all CustomCredentialSecurityFactory objects to this subresource
      Parameters:
        `value` - List of CustomCredentialSecurityFactory objects.
      Returns:
        this

    - #### customCredentialSecurityFactory

          public T customCredentialSecurityFactory(CustomCredentialSecurityFactory value)

      Add the CustomCredentialSecurityFactory object to the list of subresources
      Parameters:
        `value` - The CustomCredentialSecurityFactory to add
      Returns:
        this

    - #### customCredentialSecurityFactory

          public T customCredentialSecurityFactory(String childKey,
                                                   CustomCredentialSecurityFactoryConsumer consumer)

      Create and configure a CustomCredentialSecurityFactory object to the list of subresources
      Parameters:
        `key` - The key for the CustomCredentialSecurityFactory resource
        `config` - The CustomCredentialSecurityFactoryConsumer to use
      Returns:
        this

    - #### customCredentialSecurityFactory

          public T customCredentialSecurityFactory(String childKey)

      Create and configure a CustomCredentialSecurityFactory object to the list of subresources
      Parameters:
        `key` - The key for the CustomCredentialSecurityFactory resource
      Returns:
        this

    - #### customCredentialSecurityFactory

          public T customCredentialSecurityFactory(CustomCredentialSecurityFactorySupplier supplier)

      Install a supplied CustomCredentialSecurityFactory object to the list of subresources

    - #### periodicRotatingFileAuditLogs

          public T periodicRotatingFileAuditLogs(List<PeriodicRotatingFileAuditLog> value)

      Add all PeriodicRotatingFileAuditLog objects to this subresource
      Parameters:
        `value` - List of PeriodicRotatingFileAuditLog objects.
      Returns:
        this

    - #### periodicRotatingFileAuditLog

          public T periodicRotatingFileAuditLog(PeriodicRotatingFileAuditLog value)

      Add the PeriodicRotatingFileAuditLog object to the list of subresources
      Parameters:
        `value` - The PeriodicRotatingFileAuditLog to add
      Returns:
        this

    - #### periodicRotatingFileAuditLog

          public T periodicRotatingFileAuditLog(String childKey,
                                                PeriodicRotatingFileAuditLogConsumer consumer)

      Create and configure a PeriodicRotatingFileAuditLog object to the list of subresources
      Parameters:
        `key` - The key for the PeriodicRotatingFileAuditLog resource
        `config` - The PeriodicRotatingFileAuditLogConsumer to use
      Returns:
        this

    - #### periodicRotatingFileAuditLog

          public T periodicRotatingFileAuditLog(String childKey)

      Create and configure a PeriodicRotatingFileAuditLog object to the list of subresources
      Parameters:
        `key` - The key for the PeriodicRotatingFileAuditLog resource
      Returns:
        this

    - #### periodicRotatingFileAuditLog

          public T periodicRotatingFileAuditLog(PeriodicRotatingFileAuditLogSupplier supplier)

      Install a supplied PeriodicRotatingFileAuditLog object to the list of subresources

    - #### simplePermissionMappers

          public T simplePermissionMappers(List<SimplePermissionMapper> value)

      Add all SimplePermissionMapper objects to this subresource
      Parameters:
        `value` - List of SimplePermissionMapper objects.
      Returns:
        this

    - #### simplePermissionMapper

          public T simplePermissionMapper(SimplePermissionMapper value)

      Add the SimplePermissionMapper object to the list of subresources
      Parameters:
        `value` - The SimplePermissionMapper to add
      Returns:
        this

    - #### simplePermissionMapper

          public T simplePermissionMapper(String childKey,
                                          SimplePermissionMapperConsumer consumer)

      Create and configure a SimplePermissionMapper object to the list of subresources
      Parameters:
        `key` - The key for the SimplePermissionMapper resource
        `config` - The SimplePermissionMapperConsumer to use
      Returns:
        this

    - #### simplePermissionMapper

          public T simplePermissionMapper(String childKey)

      Create and configure a SimplePermissionMapper object to the list of subresources
      Parameters:
        `key` - The key for the SimplePermissionMapper resource
      Returns:
        this

    - #### simplePermissionMapper

          public T simplePermissionMapper(SimplePermissionMapperSupplier supplier)

      Install a supplied SimplePermissionMapper object to the list of subresources

    - #### constantRealmMappers

          public T constantRealmMappers(List<ConstantRealmMapper> value)

      Add all ConstantRealmMapper objects to this subresource
      Parameters:
        `value` - List of ConstantRealmMapper objects.
      Returns:
        this

    - #### constantRealmMapper

          public T constantRealmMapper(ConstantRealmMapper value)

      Add the ConstantRealmMapper object to the list of subresources
      Parameters:
        `value` - The ConstantRealmMapper to add
      Returns:
        this

    - #### constantRealmMapper

          public T constantRealmMapper(String childKey,
                                       ConstantRealmMapperConsumer consumer)

      Create and configure a ConstantRealmMapper object to the list of subresources
      Parameters:
        `key` - The key for the ConstantRealmMapper resource
        `config` - The ConstantRealmMapperConsumer to use
      Returns:
        this

    - #### constantRealmMapper

          public T constantRealmMapper(String childKey)

      Create and configure a ConstantRealmMapper object to the list of subresources
      Parameters:
        `key` - The key for the ConstantRealmMapper resource
      Returns:
        this

    - #### constantRealmMapper

          public T constantRealmMapper(ConstantRealmMapperSupplier supplier)

      Install a supplied ConstantRealmMapper object to the list of subresources

    - #### simpleRoleDecoders

          public T simpleRoleDecoders(List<SimpleRoleDecoder> value)

      Add all SimpleRoleDecoder objects to this subresource
      Parameters:
        `value` - List of SimpleRoleDecoder objects.
      Returns:
        this

    - #### simpleRoleDecoder

          public T simpleRoleDecoder(SimpleRoleDecoder value)

      Add the SimpleRoleDecoder object to the list of subresources
      Parameters:
        `value` - The SimpleRoleDecoder to add
      Returns:
        this

    - #### simpleRoleDecoder

          public T simpleRoleDecoder(String childKey,
                                     SimpleRoleDecoderConsumer consumer)

      Create and configure a SimpleRoleDecoder object to the list of subresources
      Parameters:
        `key` - The key for the SimpleRoleDecoder resource
        `config` - The SimpleRoleDecoderConsumer to use
      Returns:
        this

    - #### simpleRoleDecoder

          public T simpleRoleDecoder(String childKey)

      Create and configure a SimpleRoleDecoder object to the list of subresources
      Parameters:
        `key` - The key for the SimpleRoleDecoder resource
      Returns:
        this

    - #### simpleRoleDecoder

          public T simpleRoleDecoder(SimpleRoleDecoderSupplier supplier)

      Install a supplied SimpleRoleDecoder object to the list of subresources

    - #### configurableSaslServerFactories

          public T configurableSaslServerFactories(List<ConfigurableSASLServerFactory> value)

      Add all ConfigurableSASLServerFactory objects to this subresource
      Parameters:
        `value` - List of ConfigurableSASLServerFactory objects.
      Returns:
        this

    - #### configurableSaslServerFactory

          public T configurableSaslServerFactory(ConfigurableSASLServerFactory value)

      Add the ConfigurableSASLServerFactory object to the list of subresources
      Parameters:
        `value` - The ConfigurableSASLServerFactory to add
      Returns:
        this

    - #### configurableSaslServerFactory

          public T configurableSaslServerFactory(String childKey,
                                                 ConfigurableSASLServerFactoryConsumer consumer)

      Create and configure a ConfigurableSASLServerFactory object to the list of subresources
      Parameters:
        `key` - The key for the ConfigurableSASLServerFactory resource
        `config` - The ConfigurableSASLServerFactoryConsumer to use
      Returns:
        this

    - #### configurableSaslServerFactory

          public T configurableSaslServerFactory(String childKey)

      Create and configure a ConfigurableSASLServerFactory object to the list of subresources
      Parameters:
        `key` - The key for the ConfigurableSASLServerFactory resource
      Returns:
        this

    - #### configurableSaslServerFactory

          public T configurableSaslServerFactory(ConfigurableSASLServerFactorySupplier supplier)

      Install a supplied ConfigurableSASLServerFactory object to the list of subresources

    - #### regexValidatingPrincipalTransformers

          public T regexValidatingPrincipalTransformers(List<RegexValidatingPrincipalTransformer> value)

      Add all RegexValidatingPrincipalTransformer objects to this subresource
      Parameters:
        `value` - List of RegexValidatingPrincipalTransformer objects.
      Returns:
        this

    - #### regexValidatingPrincipalTransformer

          public T regexValidatingPrincipalTransformer(RegexValidatingPrincipalTransformer value)

      Add the RegexValidatingPrincipalTransformer object to the list of subresources
      Parameters:
        `value` - The RegexValidatingPrincipalTransformer to add
      Returns:
        this

    - #### regexValidatingPrincipalTransformer

          public T regexValidatingPrincipalTransformer(String childKey,
                                                       RegexValidatingPrincipalTransformerConsumer consumer)

      Create and configure a RegexValidatingPrincipalTransformer object to the list of subresources
      Parameters:
        `key` - The key for the RegexValidatingPrincipalTransformer resource
        `config` - The RegexValidatingPrincipalTransformerConsumer to use
      Returns:
        this

    - #### regexValidatingPrincipalTransformer

          public T regexValidatingPrincipalTransformer(String childKey)

      Create and configure a RegexValidatingPrincipalTransformer object to the list of subresources
      Parameters:
        `key` - The key for the RegexValidatingPrincipalTransformer resource
      Returns:
        this

    - #### regexValidatingPrincipalTransformer

          public T regexValidatingPrincipalTransformer(RegexValidatingPrincipalTransformerSupplier supplier)

      Install a supplied RegexValidatingPrincipalTransformer object to the list of subresources

    - #### serviceLoaderSaslServerFactories

          public T serviceLoaderSaslServerFactories(List<ServiceLoaderSASLServerFactory> value)

      Add all ServiceLoaderSASLServerFactory objects to this subresource
      Parameters:
        `value` - List of ServiceLoaderSASLServerFactory objects.
      Returns:
        this

    - #### serviceLoaderSaslServerFactory

          public T serviceLoaderSaslServerFactory(ServiceLoaderSASLServerFactory value)

      Add the ServiceLoaderSASLServerFactory object to the list of subresources
      Parameters:
        `value` - The ServiceLoaderSASLServerFactory to add
      Returns:
        this

    - #### serviceLoaderSaslServerFactory

          public T serviceLoaderSaslServerFactory(String childKey,
                                                  ServiceLoaderSASLServerFactoryConsumer consumer)

      Create and configure a ServiceLoaderSASLServerFactory object to the list of subresources
      Parameters:
        `key` - The key for the ServiceLoaderSASLServerFactory resource
        `config` - The ServiceLoaderSASLServerFactoryConsumer to use
      Returns:
        this

    - #### serviceLoaderSaslServerFactory

          public T serviceLoaderSaslServerFactory(String childKey)

      Create and configure a ServiceLoaderSASLServerFactory object to the list of subresources
      Parameters:
        `key` - The key for the ServiceLoaderSASLServerFactory resource
      Returns:
        this

    - #### serviceLoaderSaslServerFactory

          public T serviceLoaderSaslServerFactory(ServiceLoaderSASLServerFactorySupplier supplier)

      Install a supplied ServiceLoaderSASLServerFactory object to the list of subresources

    - #### ldapKeyStores

          public T ldapKeyStores(List<LdapKeyStore> value)

      Add all LdapKeyStore objects to this subresource
      Parameters:
        `value` - List of LdapKeyStore objects.
      Returns:
        this

    - #### ldapKeyStore

          public T ldapKeyStore(LdapKeyStore value)

      Add the LdapKeyStore object to the list of subresources
      Parameters:
        `value` - The LdapKeyStore to add
      Returns:
        this

    - #### ldapKeyStore

          public T ldapKeyStore(String childKey,
                                LdapKeyStoreConsumer consumer)

      Create and configure a LdapKeyStore object to the list of subresources
      Parameters:
        `key` - The key for the LdapKeyStore resource
        `config` - The LdapKeyStoreConsumer to use
      Returns:
        this

    - #### ldapKeyStore

          public T ldapKeyStore(String childKey)

      Create and configure a LdapKeyStore object to the list of subresources
      Parameters:
        `key` - The key for the LdapKeyStore resource
      Returns:
        this

    - #### ldapKeyStore

          public T ldapKeyStore(LdapKeyStoreSupplier supplier)

      Install a supplied LdapKeyStore object to the list of subresources

    - #### x500AttributePrincipalDecoders

          public T x500AttributePrincipalDecoders(List<X500AttributePrincipalDecoder> value)

      Add all X500AttributePrincipalDecoder objects to this subresource
      Parameters:
        `value` - List of X500AttributePrincipalDecoder objects.
      Returns:
        this

    - #### x500AttributePrincipalDecoder

          public T x500AttributePrincipalDecoder(X500AttributePrincipalDecoder value)

      Add the X500AttributePrincipalDecoder object to the list of subresources
      Parameters:
        `value` - The X500AttributePrincipalDecoder to add
      Returns:
        this

    - #### x500AttributePrincipalDecoder

          public T x500AttributePrincipalDecoder(String childKey,
                                                 X500AttributePrincipalDecoderConsumer consumer)

      Create and configure a X500AttributePrincipalDecoder object to the list of subresources
      Parameters:
        `key` - The key for the X500AttributePrincipalDecoder resource
        `config` - The X500AttributePrincipalDecoderConsumer to use
      Returns:
        this

    - #### x500AttributePrincipalDecoder

          public T x500AttributePrincipalDecoder(String childKey)

      Create and configure a X500AttributePrincipalDecoder object to the list of subresources
      Parameters:
        `key` - The key for the X500AttributePrincipalDecoder resource
      Returns:
        this

    - #### x500AttributePrincipalDecoder

          public T x500AttributePrincipalDecoder(X500AttributePrincipalDecoderSupplier supplier)

      Install a supplied X500AttributePrincipalDecoder object to the list of subresources

    - #### dirContexts

          public T dirContexts(List<DirContext> value)

      Add all DirContext objects to this subresource
      Parameters:
        `value` - List of DirContext objects.
      Returns:
        this

    - #### dirContext

          public T dirContext(DirContext value)

      Add the DirContext object to the list of subresources
      Parameters:
        `value` - The DirContext to add
      Returns:
        this

    - #### dirContext

          public T dirContext(String childKey,
                              DirContextConsumer consumer)

      Create and configure a DirContext object to the list of subresources
      Parameters:
        `key` - The key for the DirContext resource
        `config` - The DirContextConsumer to use
      Returns:
        this

    - #### dirContext

          public T dirContext(String childKey)

      Create and configure a DirContext object to the list of subresources
      Parameters:
        `key` - The key for the DirContext resource
      Returns:
        this

    - #### dirContext

          public T dirContext(DirContextSupplier supplier)

      Install a supplied DirContext object to the list of subresources

    - #### mappedRegexRealmMappers

          public T mappedRegexRealmMappers(List<MappedRegexRealmMapper> value)

      Add all MappedRegexRealmMapper objects to this subresource
      Parameters:
        `value` - List of MappedRegexRealmMapper objects.
      Returns:
        this

    - #### mappedRegexRealmMapper

          public T mappedRegexRealmMapper(MappedRegexRealmMapper value)

      Add the MappedRegexRealmMapper object to the list of subresources
      Parameters:
        `value` - The MappedRegexRealmMapper to add
      Returns:
        this

    - #### mappedRegexRealmMapper

          public T mappedRegexRealmMapper(String childKey,
                                          MappedRegexRealmMapperConsumer consumer)

      Create and configure a MappedRegexRealmMapper object to the list of subresources
      Parameters:
        `key` - The key for the MappedRegexRealmMapper resource
        `config` - The MappedRegexRealmMapperConsumer to use
      Returns:
        this

    - #### mappedRegexRealmMapper

          public T mappedRegexRealmMapper(String childKey)

      Create and configure a MappedRegexRealmMapper object to the list of subresources
      Parameters:
        `key` - The key for the MappedRegexRealmMapper resource
      Returns:
        this

    - #### mappedRegexRealmMapper

          public T mappedRegexRealmMapper(MappedRegexRealmMapperSupplier supplier)

      Install a supplied MappedRegexRealmMapper object to the list of subresources

    - #### syslogAuditLogs

          public T syslogAuditLogs(List<SyslogAuditLog> value)

      Add all SyslogAuditLog objects to this subresource
      Parameters:
        `value` - List of SyslogAuditLog objects.
      Returns:
        this

    - #### syslogAuditLog

          public T syslogAuditLog(SyslogAuditLog value)

      Add the SyslogAuditLog object to the list of subresources
      Parameters:
        `value` - The SyslogAuditLog to add
      Returns:
        this

    - #### syslogAuditLog

          public T syslogAuditLog(String childKey,
                                  SyslogAuditLogConsumer consumer)

      Create and configure a SyslogAuditLog object to the list of subresources
      Parameters:
        `key` - The key for the SyslogAuditLog resource
        `config` - The SyslogAuditLogConsumer to use
      Returns:
        this

    - #### syslogAuditLog

          public T syslogAuditLog(String childKey)

      Create and configure a SyslogAuditLog object to the list of subresources
      Parameters:
        `key` - The key for the SyslogAuditLog resource
      Returns:
        this

    - #### syslogAuditLog

          public T syslogAuditLog(SyslogAuditLogSupplier supplier)

      Install a supplied SyslogAuditLog object to the list of subresources

    - #### aggregateSecurityEventListeners

          public T aggregateSecurityEventListeners(List<AggregateSecurityEventListener> value)

      Add all AggregateSecurityEventListener objects to this subresource
      Parameters:
        `value` - List of AggregateSecurityEventListener objects.
      Returns:
        this

    - #### aggregateSecurityEventListener

          public T aggregateSecurityEventListener(AggregateSecurityEventListener value)

      Add the AggregateSecurityEventListener object to the list of subresources
      Parameters:
        `value` - The AggregateSecurityEventListener to add
      Returns:
        this

    - #### aggregateSecurityEventListener

          public T aggregateSecurityEventListener(String childKey,
                                                  AggregateSecurityEventListenerConsumer consumer)

      Create and configure a AggregateSecurityEventListener object to the list of subresources
      Parameters:
        `key` - The key for the AggregateSecurityEventListener resource
        `config` - The AggregateSecurityEventListenerConsumer to use
      Returns:
        this

    - #### aggregateSecurityEventListener

          public T aggregateSecurityEventListener(String childKey)

      Create and configure a AggregateSecurityEventListener object to the list of subresources
      Parameters:
        `key` - The key for the AggregateSecurityEventListener resource
      Returns:
        this

    - #### aggregateSecurityEventListener

          public T aggregateSecurityEventListener(AggregateSecurityEventListenerSupplier supplier)

      Install a supplied AggregateSecurityEventListener object to the list of subresources

    - #### chainedPrincipalTransformers

          public T chainedPrincipalTransformers(List<ChainedPrincipalTransformer> value)

      Add all ChainedPrincipalTransformer objects to this subresource
      Parameters:
        `value` - List of ChainedPrincipalTransformer objects.
      Returns:
        this

    - #### chainedPrincipalTransformer

          public T chainedPrincipalTransformer(ChainedPrincipalTransformer value)

      Add the ChainedPrincipalTransformer object to the list of subresources
      Parameters:
        `value` - The ChainedPrincipalTransformer to add
      Returns:
        this

    - #### chainedPrincipalTransformer

          public T chainedPrincipalTransformer(String childKey,
                                               ChainedPrincipalTransformerConsumer consumer)

      Create and configure a ChainedPrincipalTransformer object to the list of subresources
      Parameters:
        `key` - The key for the ChainedPrincipalTransformer resource
        `config` - The ChainedPrincipalTransformerConsumer to use
      Returns:
        this

    - #### chainedPrincipalTransformer

          public T chainedPrincipalTransformer(String childKey)

      Create and configure a ChainedPrincipalTransformer object to the list of subresources
      Parameters:
        `key` - The key for the ChainedPrincipalTransformer resource
      Returns:
        this

    - #### chainedPrincipalTransformer

          public T chainedPrincipalTransformer(ChainedPrincipalTransformerSupplier supplier)

      Install a supplied ChainedPrincipalTransformer object to the list of subresources

    - #### authenticationContexts

          public T authenticationContexts(List<AuthenticationContext> value)

      Add all AuthenticationContext objects to this subresource
      Parameters:
        `value` - List of AuthenticationContext objects.
      Returns:
        this

    - #### authenticationContext

          public T authenticationContext(AuthenticationContext value)

      Add the AuthenticationContext object to the list of subresources
      Parameters:
        `value` - The AuthenticationContext to add
      Returns:
        this

    - #### authenticationContext

          public T authenticationContext(String childKey,
                                         AuthenticationContextConsumer consumer)

      Create and configure a AuthenticationContext object to the list of subresources
      Parameters:
        `key` - The key for the AuthenticationContext resource
        `config` - The AuthenticationContextConsumer to use
      Returns:
        this

    - #### authenticationContext

          public T authenticationContext(String childKey)

      Create and configure a AuthenticationContext object to the list of subresources
      Parameters:
        `key` - The key for the AuthenticationContext resource
      Returns:
        this

    - #### authenticationContext

          public T authenticationContext(AuthenticationContextSupplier supplier)

      Install a supplied AuthenticationContext object to the list of subresources

    - #### fileAuditLogs

          public T fileAuditLogs(List<FileAuditLog> value)

      Add all FileAuditLog objects to this subresource
      Parameters:
        `value` - List of FileAuditLog objects.
      Returns:
        this

    - #### fileAuditLog

          public T fileAuditLog(FileAuditLog value)

      Add the FileAuditLog object to the list of subresources
      Parameters:
        `value` - The FileAuditLog to add
      Returns:
        this

    - #### fileAuditLog

          public T fileAuditLog(String childKey,
                                FileAuditLogConsumer consumer)

      Create and configure a FileAuditLog object to the list of subresources
      Parameters:
        `key` - The key for the FileAuditLog resource
        `config` - The FileAuditLogConsumer to use
      Returns:
        this

    - #### fileAuditLog

          public T fileAuditLog(String childKey)

      Create and configure a FileAuditLog object to the list of subresources
      Parameters:
        `key` - The key for the FileAuditLog resource
      Returns:
        this

    - #### fileAuditLog

          public T fileAuditLog(FileAuditLogSupplier supplier)

      Install a supplied FileAuditLog object to the list of subresources

    - #### keyStoreRealms

          public T keyStoreRealms(List<KeyStoreRealm> value)

      Add all KeyStoreRealm objects to this subresource
      Parameters:
        `value` - List of KeyStoreRealm objects.
      Returns:
        this

    - #### keyStoreRealm

          public T keyStoreRealm(KeyStoreRealm value)

      Add the KeyStoreRealm object to the list of subresources
      Parameters:
        `value` - The KeyStoreRealm to add
      Returns:
        this

    - #### keyStoreRealm

          public T keyStoreRealm(String childKey,
                                 KeyStoreRealmConsumer consumer)

      Create and configure a KeyStoreRealm object to the list of subresources
      Parameters:
        `key` - The key for the KeyStoreRealm resource
        `config` - The KeyStoreRealmConsumer to use
      Returns:
        this

    - #### keyStoreRealm

          public T keyStoreRealm(String childKey)

      Create and configure a KeyStoreRealm object to the list of subresources
      Parameters:
        `key` - The key for the KeyStoreRealm resource
      Returns:
        this

    - #### keyStoreRealm

          public T keyStoreRealm(KeyStoreRealmSupplier supplier)

      Install a supplied KeyStoreRealm object to the list of subresources

    - #### policies

          public T policies(List<Policy> value)

      Add all Policy objects to this subresource
      Parameters:
        `value` - List of Policy objects.
      Returns:
        this

    - #### policy

          public T policy(Policy value)

      Add the Policy object to the list of subresources
      Parameters:
        `value` - The Policy to add
      Returns:
        this

    - #### policy

          public T policy(String childKey,
                          PolicyConsumer consumer)

      Create and configure a Policy object to the list of subresources
      Parameters:
        `key` - The key for the Policy resource
        `config` - The PolicyConsumer to use
      Returns:
        this

    - #### policy

          public T policy(String childKey)

      Create and configure a Policy object to the list of subresources
      Parameters:
        `key` - The key for the Policy resource
      Returns:
        this

    - #### policy

          public T policy(PolicySupplier supplier)

      Install a supplied Policy object to the list of subresources

    - #### authenticationConfigurations

          public T authenticationConfigurations(List<AuthenticationConfiguration> value)

      Add all AuthenticationConfiguration objects to this subresource
      Parameters:
        `value` - List of AuthenticationConfiguration objects.
      Returns:
        this

    - #### authenticationConfiguration

          public T authenticationConfiguration(AuthenticationConfiguration value)

      Add the AuthenticationConfiguration object to the list of subresources
      Parameters:
        `value` - The AuthenticationConfiguration to add
      Returns:
        this

    - #### authenticationConfiguration

          public T authenticationConfiguration(String childKey,
                                               AuthenticationConfigurationConsumer consumer)

      Create and configure a AuthenticationConfiguration object to the list of subresources
      Parameters:
        `key` - The key for the AuthenticationConfiguration resource
        `config` - The AuthenticationConfigurationConsumer to use
      Returns:
        this

    - #### authenticationConfiguration

          public T authenticationConfiguration(String childKey)

      Create and configure a AuthenticationConfiguration object to the list of subresources
      Parameters:
        `key` - The key for the AuthenticationConfiguration resource
      Returns:
        this

    - #### authenticationConfiguration

          public T authenticationConfiguration(AuthenticationConfigurationSupplier supplier)

      Install a supplied AuthenticationConfiguration object to the list of subresources

    - #### providerSaslServerFactories

          public T providerSaslServerFactories(List<ProviderSASLServerFactory> value)

      Add all ProviderSASLServerFactory objects to this subresource
      Parameters:
        `value` - List of ProviderSASLServerFactory objects.
      Returns:
        this

    - #### providerSaslServerFactory

          public T providerSaslServerFactory(ProviderSASLServerFactory value)

      Add the ProviderSASLServerFactory object to the list of subresources
      Parameters:
        `value` - The ProviderSASLServerFactory to add
      Returns:
        this

    - #### providerSaslServerFactory

          public T providerSaslServerFactory(String childKey,
                                             ProviderSASLServerFactoryConsumer consumer)

      Create and configure a ProviderSASLServerFactory object to the list of subresources
      Parameters:
        `key` - The key for the ProviderSASLServerFactory resource
        `config` - The ProviderSASLServerFactoryConsumer to use
      Returns:
        this

    - #### providerSaslServerFactory

          public T providerSaslServerFactory(String childKey)

      Create and configure a ProviderSASLServerFactory object to the list of subresources
      Parameters:
        `key` - The key for the ProviderSASLServerFactory resource
      Returns:
        this

    - #### providerSaslServerFactory

          public T providerSaslServerFactory(ProviderSASLServerFactorySupplier supplier)

      Install a supplied ProviderSASLServerFactory object to the list of subresources

    - #### customModifiableRealms

          public T customModifiableRealms(List<CustomModifiableRealm> value)

      Add all CustomModifiableRealm objects to this subresource
      Parameters:
        `value` - List of CustomModifiableRealm objects.
      Returns:
        this

    - #### customModifiableRealm

          public T customModifiableRealm(CustomModifiableRealm value)

      Add the CustomModifiableRealm object to the list of subresources
      Parameters:
        `value` - The CustomModifiableRealm to add
      Returns:
        this

    - #### customModifiableRealm

          public T customModifiableRealm(String childKey,
                                         CustomModifiableRealmConsumer consumer)

      Create and configure a CustomModifiableRealm object to the list of subresources
      Parameters:
        `key` - The key for the CustomModifiableRealm resource
        `config` - The CustomModifiableRealmConsumer to use
      Returns:
        this

    - #### customModifiableRealm

          public T customModifiableRealm(String childKey)

      Create and configure a CustomModifiableRealm object to the list of subresources
      Parameters:
        `key` - The key for the CustomModifiableRealm resource
      Returns:
        this

    - #### customModifiableRealm

          public T customModifiableRealm(CustomModifiableRealmSupplier supplier)

      Install a supplied CustomModifiableRealm object to the list of subresources

    - #### addPrefixRoleMappers

          public T addPrefixRoleMappers(List<AddPrefixRoleMapper> value)

      Add all AddPrefixRoleMapper objects to this subresource
      Parameters:
        `value` - List of AddPrefixRoleMapper objects.
      Returns:
        this

    - #### addPrefixRoleMapper

          public T addPrefixRoleMapper(AddPrefixRoleMapper value)

      Add the AddPrefixRoleMapper object to the list of subresources
      Parameters:
        `value` - The AddPrefixRoleMapper to add
      Returns:
        this

    - #### addPrefixRoleMapper

          public T addPrefixRoleMapper(String childKey,
                                       AddPrefixRoleMapperConsumer consumer)

      Create and configure a AddPrefixRoleMapper object to the list of subresources
      Parameters:
        `key` - The key for the AddPrefixRoleMapper resource
        `config` - The AddPrefixRoleMapperConsumer to use
      Returns:
        this

    - #### addPrefixRoleMapper

          public T addPrefixRoleMapper(String childKey)

      Create and configure a AddPrefixRoleMapper object to the list of subresources
      Parameters:
        `key` - The key for the AddPrefixRoleMapper resource
      Returns:
        this

    - #### addPrefixRoleMapper

          public T addPrefixRoleMapper(AddPrefixRoleMapperSupplier supplier)

      Install a supplied AddPrefixRoleMapper object to the list of subresources

    - #### aggregateHttpServerMechanismFactories

          public T aggregateHttpServerMechanismFactories(List<AggregateHTTPServerMechanismFactory> value)

      Add all AggregateHTTPServerMechanismFactory objects to this subresource
      Parameters:
        `value` - List of AggregateHTTPServerMechanismFactory objects.
      Returns:
        this

    - #### aggregateHttpServerMechanismFactory

          public T aggregateHttpServerMechanismFactory(AggregateHTTPServerMechanismFactory value)

      Add the AggregateHTTPServerMechanismFactory object to the list of subresources
      Parameters:
        `value` - The AggregateHTTPServerMechanismFactory to add
      Returns:
        this

    - #### aggregateHttpServerMechanismFactory

          public T aggregateHttpServerMechanismFactory(String childKey,
                                                       AggregateHTTPServerMechanismFactoryConsumer consumer)

      Create and configure a AggregateHTTPServerMechanismFactory object to the list of subresources
      Parameters:
        `key` - The key for the AggregateHTTPServerMechanismFactory resource
        `config` - The AggregateHTTPServerMechanismFactoryConsumer to use
      Returns:
        this

    - #### aggregateHttpServerMechanismFactory

          public T aggregateHttpServerMechanismFactory(String childKey)

      Create and configure a AggregateHTTPServerMechanismFactory object to the list of subresources
      Parameters:
        `key` - The key for the AggregateHTTPServerMechanismFactory resource
      Returns:
        this

    - #### aggregateHttpServerMechanismFactory

          public T aggregateHttpServerMechanismFactory(AggregateHTTPServerMechanismFactorySupplier supplier)

      Install a supplied AggregateHTTPServerMechanismFactory object to the list of subresources

    - #### customRealmMappers

          public T customRealmMappers(List<CustomRealmMapper> value)

      Add all CustomRealmMapper objects to this subresource
      Parameters:
        `value` - List of CustomRealmMapper objects.
      Returns:
        this

    - #### customRealmMapper

          public T customRealmMapper(CustomRealmMapper value)

      Add the CustomRealmMapper object to the list of subresources
      Parameters:
        `value` - The CustomRealmMapper to add
      Returns:
        this

    - #### customRealmMapper

          public T customRealmMapper(String childKey,
                                     CustomRealmMapperConsumer consumer)

      Create and configure a CustomRealmMapper object to the list of subresources
      Parameters:
        `key` - The key for the CustomRealmMapper resource
        `config` - The CustomRealmMapperConsumer to use
      Returns:
        this

    - #### customRealmMapper

          public T customRealmMapper(String childKey)

      Create and configure a CustomRealmMapper object to the list of subresources
      Parameters:
        `key` - The key for the CustomRealmMapper resource
      Returns:
        this

    - #### customRealmMapper

          public T customRealmMapper(CustomRealmMapperSupplier supplier)

      Install a supplied CustomRealmMapper object to the list of subresources

    - #### regexPrincipalTransformers

          public T regexPrincipalTransformers(List<RegexPrincipalTransformer> value)

      Add all RegexPrincipalTransformer objects to this subresource
      Parameters:
        `value` - List of RegexPrincipalTransformer objects.
      Returns:
        this

    - #### regexPrincipalTransformer

          public T regexPrincipalTransformer(RegexPrincipalTransformer value)

      Add the RegexPrincipalTransformer object to the list of subresources
      Parameters:
        `value` - The RegexPrincipalTransformer to add
      Returns:
        this

    - #### regexPrincipalTransformer

          public T regexPrincipalTransformer(String childKey,
                                             RegexPrincipalTransformerConsumer consumer)

      Create and configure a RegexPrincipalTransformer object to the list of subresources
      Parameters:
        `key` - The key for the RegexPrincipalTransformer resource
        `config` - The RegexPrincipalTransformerConsumer to use
      Returns:
        this

    - #### regexPrincipalTransformer

          public T regexPrincipalTransformer(String childKey)

      Create and configure a RegexPrincipalTransformer object to the list of subresources
      Parameters:
        `key` - The key for the RegexPrincipalTransformer resource
      Returns:
        this

    - #### regexPrincipalTransformer

          public T regexPrincipalTransformer(RegexPrincipalTransformerSupplier supplier)

      Install a supplied RegexPrincipalTransformer object to the list of subresources

    - #### trustManagers

          public T trustManagers(List<TrustManager> value)

      Add all TrustManager objects to this subresource
      Parameters:
        `value` - List of TrustManager objects.
      Returns:
        this

    - #### trustManager

          public T trustManager(TrustManager value)

      Add the TrustManager object to the list of subresources
      Parameters:
        `value` - The TrustManager to add
      Returns:
        this

    - #### trustManager

          public T trustManager(String childKey,
                                TrustManagerConsumer consumer)

      Create and configure a TrustManager object to the list of subresources
      Parameters:
        `key` - The key for the TrustManager resource
        `config` - The TrustManagerConsumer to use
      Returns:
        this

    - #### trustManager

          public T trustManager(String childKey)

      Create and configure a TrustManager object to the list of subresources
      Parameters:
        `key` - The key for the TrustManager resource
      Returns:
        this

    - #### trustManager

          public T trustManager(TrustManagerSupplier supplier)

      Install a supplied TrustManager object to the list of subresources

    - #### mechanismProviderFilteringSaslServerFactories

          public T mechanismProviderFilteringSaslServerFactories(List<MechanismProviderFilteringSASLServerFactory> value)

      Add all MechanismProviderFilteringSASLServerFactory objects to this subresource
      Parameters:
        `value` - List of MechanismProviderFilteringSASLServerFactory objects.
      Returns:
        this

    - #### mechanismProviderFilteringSaslServerFactory

          public T mechanismProviderFilteringSaslServerFactory(MechanismProviderFilteringSASLServerFactory value)

      Add the MechanismProviderFilteringSASLServerFactory object to the list of subresources
      Parameters:
        `value` - The MechanismProviderFilteringSASLServerFactory to add
      Returns:
        this

    - #### mechanismProviderFilteringSaslServerFactory

          public T mechanismProviderFilteringSaslServerFactory(String childKey,
                                                               MechanismProviderFilteringSASLServerFactoryConsumer consumer)

      Create and configure a MechanismProviderFilteringSASLServerFactory object to the list of subresources
      Parameters:
        `key` - The key for the MechanismProviderFilteringSASLServerFactory resource
        `config` - The MechanismProviderFilteringSASLServerFactoryConsumer to use
      Returns:
        this

    - #### mechanismProviderFilteringSaslServerFactory

          public T mechanismProviderFilteringSaslServerFactory(String childKey)

      Create and configure a MechanismProviderFilteringSASLServerFactory object to the list of subresources
      Parameters:
        `key` - The key for the MechanismProviderFilteringSASLServerFactory resource
      Returns:
        this

    - #### mechanismProviderFilteringSaslServerFactory

          public T mechanismProviderFilteringSaslServerFactory(MechanismProviderFilteringSASLServerFactorySupplier supplier)

      Install a supplied MechanismProviderFilteringSASLServerFactory object to the list of subresources

    - #### ldapRealms

          public T ldapRealms(List<LdapRealm> value)

      Add all LdapRealm objects to this subresource
      Parameters:
        `value` - List of LdapRealm objects.
      Returns:
        this

    - #### ldapRealm

          public T ldapRealm(LdapRealm value)

      Add the LdapRealm object to the list of subresources
      Parameters:
        `value` - The LdapRealm to add
      Returns:
        this

    - #### ldapRealm

          public T ldapRealm(String childKey,
                             LdapRealmConsumer consumer)

      Create and configure a LdapRealm object to the list of subresources
      Parameters:
        `key` - The key for the LdapRealm resource
        `config` - The LdapRealmConsumer to use
      Returns:
        this

    - #### ldapRealm

          public T ldapRealm(String childKey)

      Create and configure a LdapRealm object to the list of subresources
      Parameters:
        `key` - The key for the LdapRealm resource
      Returns:
        this

    - #### ldapRealm

          public T ldapRealm(LdapRealmSupplier supplier)

      Install a supplied LdapRealm object to the list of subresources

    - #### aggregateProviders

          public T aggregateProviders(List<AggregateProviders> value)

      Add all AggregateProviders objects to this subresource
      Parameters:
        `value` - List of AggregateProviders objects.
      Returns:
        this

    - #### aggregateProviders

          public T aggregateProviders(AggregateProviders value)

      Add the AggregateProviders object to the list of subresources
      Parameters:
        `value` - The AggregateProviders to add
      Returns:
        this

    - #### aggregateProviders

          public T aggregateProviders(String childKey,
                                      AggregateProvidersConsumer consumer)

      Create and configure a AggregateProviders object to the list of subresources
      Parameters:
        `key` - The key for the AggregateProviders resource
        `config` - The AggregateProvidersConsumer to use
      Returns:
        this

    - #### aggregateProviders

          public T aggregateProviders(String childKey)

      Create and configure a AggregateProviders object to the list of subresources
      Parameters:
        `key` - The key for the AggregateProviders resource
      Returns:
        this

    - #### aggregateProviders

          public T aggregateProviders(AggregateProvidersSupplier supplier)

      Install a supplied AggregateProviders object to the list of subresources

    - #### keyStores

          public T keyStores(List<KeyStore> value)

      Add all KeyStore objects to this subresource
      Parameters:
        `value` - List of KeyStore objects.
      Returns:
        this

    - #### keyStore

          public T keyStore(KeyStore value)

      Add the KeyStore object to the list of subresources
      Parameters:
        `value` - The KeyStore to add
      Returns:
        this

    - #### keyStore

          public T keyStore(String childKey,
                            KeyStoreConsumer consumer)

      Create and configure a KeyStore object to the list of subresources
      Parameters:
        `key` - The key for the KeyStore resource
        `config` - The KeyStoreConsumer to use
      Returns:
        this

    - #### keyStore

          public T keyStore(String childKey)

      Create and configure a KeyStore object to the list of subresources
      Parameters:
        `key` - The key for the KeyStore resource
      Returns:
        this

    - #### keyStore

          public T keyStore(KeyStoreSupplier supplier)

      Install a supplied KeyStore object to the list of subresources

    - #### httpAuthenticationFactories

          public T httpAuthenticationFactories(List<HTTPAuthenticationFactory> value)

      Add all HTTPAuthenticationFactory objects to this subresource
      Parameters:
        `value` - List of HTTPAuthenticationFactory objects.
      Returns:
        this

    - #### httpAuthenticationFactory

          public T httpAuthenticationFactory(HTTPAuthenticationFactory value)

      Add the HTTPAuthenticationFactory object to the list of subresources
      Parameters:
        `value` - The HTTPAuthenticationFactory to add
      Returns:
        this

    - #### httpAuthenticationFactory

          public T httpAuthenticationFactory(String childKey,
                                             HTTPAuthenticationFactoryConsumer consumer)

      Create and configure a HTTPAuthenticationFactory object to the list of subresources
      Parameters:
        `key` - The key for the HTTPAuthenticationFactory resource
        `config` - The HTTPAuthenticationFactoryConsumer to use
      Returns:
        this

    - #### httpAuthenticationFactory

          public T httpAuthenticationFactory(String childKey)

      Create and configure a HTTPAuthenticationFactory object to the list of subresources
      Parameters:
        `key` - The key for the HTTPAuthenticationFactory resource
      Returns:
        this

    - #### httpAuthenticationFactory

          public T httpAuthenticationFactory(HTTPAuthenticationFactorySupplier supplier)

      Install a supplied HTTPAuthenticationFactory object to the list of subresources

    - #### aggregateSaslServerFactories

          public T aggregateSaslServerFactories(List<AggregateSASLServerFactory> value)

      Add all AggregateSASLServerFactory objects to this subresource
      Parameters:
        `value` - List of AggregateSASLServerFactory objects.
      Returns:
        this

    - #### aggregateSaslServerFactory

          public T aggregateSaslServerFactory(AggregateSASLServerFactory value)

      Add the AggregateSASLServerFactory object to the list of subresources
      Parameters:
        `value` - The AggregateSASLServerFactory to add
      Returns:
        this

    - #### aggregateSaslServerFactory

          public T aggregateSaslServerFactory(String childKey,
                                              AggregateSASLServerFactoryConsumer consumer)

      Create and configure a AggregateSASLServerFactory object to the list of subresources
      Parameters:
        `key` - The key for the AggregateSASLServerFactory resource
        `config` - The AggregateSASLServerFactoryConsumer to use
      Returns:
        this

    - #### aggregateSaslServerFactory

          public T aggregateSaslServerFactory(String childKey)

      Create and configure a AggregateSASLServerFactory object to the list of subresources
      Parameters:
        `key` - The key for the AggregateSASLServerFactory resource
      Returns:
        this

    - #### aggregateSaslServerFactory

          public T aggregateSaslServerFactory(AggregateSASLServerFactorySupplier supplier)

      Install a supplied AggregateSASLServerFactory object to the list of subresources

    - #### simpleRegexRealmMappers

          public T simpleRegexRealmMappers(List<SimpleRegexRealmMapper> value)

      Add all SimpleRegexRealmMapper objects to this subresource
      Parameters:
        `value` - List of SimpleRegexRealmMapper objects.
      Returns:
        this

    - #### simpleRegexRealmMapper

          public T simpleRegexRealmMapper(SimpleRegexRealmMapper value)

      Add the SimpleRegexRealmMapper object to the list of subresources
      Parameters:
        `value` - The SimpleRegexRealmMapper to add
      Returns:
        this

    - #### simpleRegexRealmMapper

          public T simpleRegexRealmMapper(String childKey,
                                          SimpleRegexRealmMapperConsumer consumer)

      Create and configure a SimpleRegexRealmMapper object to the list of subresources
      Parameters:
        `key` - The key for the SimpleRegexRealmMapper resource
        `config` - The SimpleRegexRealmMapperConsumer to use
      Returns:
        this

    - #### simpleRegexRealmMapper

          public T simpleRegexRealmMapper(String childKey)

      Create and configure a SimpleRegexRealmMapper object to the list of subresources
      Parameters:
        `key` - The key for the SimpleRegexRealmMapper resource
      Returns:
        this

    - #### simpleRegexRealmMapper

          public T simpleRegexRealmMapper(SimpleRegexRealmMapperSupplier supplier)

      Install a supplied SimpleRegexRealmMapper object to the list of subresources

    - #### cachingRealms

          public T cachingRealms(List<CachingRealm> value)

      Add all CachingRealm objects to this subresource
      Parameters:
        `value` - List of CachingRealm objects.
      Returns:
        this

    - #### cachingRealm

          public T cachingRealm(CachingRealm value)

      Add the CachingRealm object to the list of subresources
      Parameters:
        `value` - The CachingRealm to add
      Returns:
        this

    - #### cachingRealm

          public T cachingRealm(String childKey,
                                CachingRealmConsumer consumer)

      Create and configure a CachingRealm object to the list of subresources
      Parameters:
        `key` - The key for the CachingRealm resource
        `config` - The CachingRealmConsumer to use
      Returns:
        this

    - #### cachingRealm

          public T cachingRealm(String childKey)

      Create and configure a CachingRealm object to the list of subresources
      Parameters:
        `key` - The key for the CachingRealm resource
      Returns:
        this

    - #### cachingRealm

          public T cachingRealm(CachingRealmSupplier supplier)

      Install a supplied CachingRealm object to the list of subresources

    - #### keyManagers

          public T keyManagers(List<KeyManager> value)

      Add all KeyManager objects to this subresource
      Parameters:
        `value` - List of KeyManager objects.
      Returns:
        this

    - #### keyManager

          public T keyManager(KeyManager value)

      Add the KeyManager object to the list of subresources
      Parameters:
        `value` - The KeyManager to add
      Returns:
        this

    - #### keyManager

          public T keyManager(String childKey,
                              KeyManagerConsumer consumer)

      Create and configure a KeyManager object to the list of subresources
      Parameters:
        `key` - The key for the KeyManager resource
        `config` - The KeyManagerConsumer to use
      Returns:
        this

    - #### keyManager

          public T keyManager(String childKey)

      Create and configure a KeyManager object to the list of subresources
      Parameters:
        `key` - The key for the KeyManager resource
      Returns:
        this

    - #### keyManager

          public T keyManager(KeyManagerSupplier supplier)

      Install a supplied KeyManager object to the list of subresources

    - #### serverSslContexts

          public T serverSslContexts(List<ServerSslContext> value)

      Add all ServerSslContext objects to this subresource
      Parameters:
        `value` - List of ServerSslContext objects.
      Returns:
        this

    - #### serverSslContext

          public T serverSslContext(ServerSslContext value)

      Add the ServerSslContext object to the list of subresources
      Parameters:
        `value` - The ServerSslContext to add
      Returns:
        this

    - #### serverSslContext

          public T serverSslContext(String childKey,
                                    ServerSslContextConsumer consumer)

      Create and configure a ServerSslContext object to the list of subresources
      Parameters:
        `key` - The key for the ServerSslContext resource
        `config` - The ServerSslContextConsumer to use
      Returns:
        this

    - #### serverSslContext

          public T serverSslContext(String childKey)

      Create and configure a ServerSslContext object to the list of subresources
      Parameters:
        `key` - The key for the ServerSslContext resource
      Returns:
        this

    - #### serverSslContext

          public T serverSslContext(ServerSslContextSupplier supplier)

      Install a supplied ServerSslContext object to the list of subresources

    - #### addSuffixRoleMappers

          public T addSuffixRoleMappers(List<AddSuffixRoleMapper> value)

      Add all AddSuffixRoleMapper objects to this subresource
      Parameters:
        `value` - List of AddSuffixRoleMapper objects.
      Returns:
        this

    - #### addSuffixRoleMapper

          public T addSuffixRoleMapper(AddSuffixRoleMapper value)

      Add the AddSuffixRoleMapper object to the list of subresources
      Parameters:
        `value` - The AddSuffixRoleMapper to add
      Returns:
        this

    - #### addSuffixRoleMapper

          public T addSuffixRoleMapper(String childKey,
                                       AddSuffixRoleMapperConsumer consumer)

      Create and configure a AddSuffixRoleMapper object to the list of subresources
      Parameters:
        `key` - The key for the AddSuffixRoleMapper resource
        `config` - The AddSuffixRoleMapperConsumer to use
      Returns:
        this

    - #### addSuffixRoleMapper

          public T addSuffixRoleMapper(String childKey)

      Create and configure a AddSuffixRoleMapper object to the list of subresources
      Parameters:
        `key` - The key for the AddSuffixRoleMapper resource
      Returns:
        this

    - #### addSuffixRoleMapper

          public T addSuffixRoleMapper(AddSuffixRoleMapperSupplier supplier)

      Install a supplied AddSuffixRoleMapper object to the list of subresources

    - #### customPermissionMappers

          public T customPermissionMappers(List<CustomPermissionMapper> value)

      Add all CustomPermissionMapper objects to this subresource
      Parameters:
        `value` - List of CustomPermissionMapper objects.
      Returns:
        this

    - #### customPermissionMapper

          public T customPermissionMapper(CustomPermissionMapper value)

      Add the CustomPermissionMapper object to the list of subresources
      Parameters:
        `value` - The CustomPermissionMapper to add
      Returns:
        this

    - #### customPermissionMapper

          public T customPermissionMapper(String childKey,
                                          CustomPermissionMapperConsumer consumer)

      Create and configure a CustomPermissionMapper object to the list of subresources
      Parameters:
        `key` - The key for the CustomPermissionMapper resource
        `config` - The CustomPermissionMapperConsumer to use
      Returns:
        this

    - #### customPermissionMapper

          public T customPermissionMapper(String childKey)

      Create and configure a CustomPermissionMapper object to the list of subresources
      Parameters:
        `key` - The key for the CustomPermissionMapper resource
      Returns:
        this

    - #### customPermissionMapper

          public T customPermissionMapper(CustomPermissionMapperSupplier supplier)

      Install a supplied CustomPermissionMapper object to the list of subresources

    - #### concatenatingPrincipalDecoders

          public T concatenatingPrincipalDecoders(List<ConcatenatingPrincipalDecoder> value)

      Add all ConcatenatingPrincipalDecoder objects to this subresource
      Parameters:
        `value` - List of ConcatenatingPrincipalDecoder objects.
      Returns:
        this

    - #### concatenatingPrincipalDecoder

          public T concatenatingPrincipalDecoder(ConcatenatingPrincipalDecoder value)

      Add the ConcatenatingPrincipalDecoder object to the list of subresources
      Parameters:
        `value` - The ConcatenatingPrincipalDecoder to add
      Returns:
        this

    - #### concatenatingPrincipalDecoder

          public T concatenatingPrincipalDecoder(String childKey,
                                                 ConcatenatingPrincipalDecoderConsumer consumer)

      Create and configure a ConcatenatingPrincipalDecoder object to the list of subresources
      Parameters:
        `key` - The key for the ConcatenatingPrincipalDecoder resource
        `config` - The ConcatenatingPrincipalDecoderConsumer to use
      Returns:
        this

    - #### concatenatingPrincipalDecoder

          public T concatenatingPrincipalDecoder(String childKey)

      Create and configure a ConcatenatingPrincipalDecoder object to the list of subresources
      Parameters:
        `key` - The key for the ConcatenatingPrincipalDecoder resource
      Returns:
        this

    - #### concatenatingPrincipalDecoder

          public T concatenatingPrincipalDecoder(ConcatenatingPrincipalDecoderSupplier supplier)

      Install a supplied ConcatenatingPrincipalDecoder object to the list of subresources

    - #### defaultAuthenticationContext

          public String defaultAuthenticationContext()

      The default authentication context to be associated with all deployments.

    - #### defaultAuthenticationContext

          public T defaultAuthenticationContext(String value)

      The default authentication context to be associated with all deployments.

    - #### disallowedProviders

          public List<String> disallowedProviders()

      A list of providers that are not allowed, and will be removed from the providers list.

    - #### disallowedProviders

          public T disallowedProviders(List<String> value)

      A list of providers that are not allowed, and will be removed from the providers list.

    - #### disallowedProvider

          public T disallowedProvider(String value)

      A list of providers that are not allowed, and will be removed from the providers list.

    - #### disallowedProviders

          public T disallowedProviders(String... args)

      A list of providers that are not allowed, and will be removed from the providers list.

    - #### finalProviders

          public String finalProviders()

      Reference to the Providers that should be registered after all existing Providers.

    - #### finalProviders

          public T finalProviders(String value)

      Reference to the Providers that should be registered after all existing Providers.

    - #### initialProviders

          public String initialProviders()

      Reference to the Providers that should be registered ahead of all existing Providers.

    - #### initialProviders

          public T initialProviders(String value)

      Reference to the Providers that should be registered ahead of all existing Providers.

    - #### securityProperties

          public Map securityProperties()

      Security properties to be set.

    - #### securityProperties

          public T securityProperties(Map value)

      Security properties to be set.

    - #### securityProperty

          public T securityProperty(String key,
                                    Object value)

      Security properties to be set.

Copyright © 2017 JBoss by Red Hat. All rights reserved.